--
-- PostgreSQL database dump
--

SET statement_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = off;
SET check_function_bodies = false;
SET client_min_messages = warning;
SET escape_string_warning = off;

SET search_path = public, pg_catalog;

--
-- Name: cluster_grouping; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE cluster_grouping AS ENUM (
    'roles',
    'hardware',
    'both'
);


ALTER TYPE public.cluster_grouping OWNER TO nailgun;

--
-- Name: cluster_mode; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE cluster_mode AS ENUM (
    'multinode',
    'ha_full',
    'ha_compact'
);


ALTER TYPE public.cluster_mode OWNER TO nailgun;

--
-- Name: cluster_net_manager; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE cluster_net_manager AS ENUM (
    'FlatDHCPManager',
    'VlanManager'
);


ALTER TYPE public.cluster_net_manager OWNER TO nailgun;

--
-- Name: cluster_status; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE cluster_status AS ENUM (
    'new',
    'deployment',
    'operational',
    'error',
    'remove'
);


ALTER TYPE public.cluster_status OWNER TO nailgun;

--
-- Name: license_type; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE license_type AS ENUM (
    'rhsm',
    'rhn'
);


ALTER TYPE public.license_type OWNER TO nailgun;

--
-- Name: net_l23_provider; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE net_l23_provider AS ENUM (
    'ovs'
);


ALTER TYPE public.net_l23_provider OWNER TO nailgun;

--
-- Name: net_provider; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE net_provider AS ENUM (
    'nova_network',
    'neutron'
);


ALTER TYPE public.net_provider OWNER TO nailgun;

--
-- Name: net_segment_type; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE net_segment_type AS ENUM (
    'none',
    'vlan',
    'gre'
);


ALTER TYPE public.net_segment_type OWNER TO nailgun;

--
-- Name: network_group_name; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE network_group_name AS ENUM (
    'fuelweb_admin',
    'storage',
    'management',
    'public',
    'floating',
    'fixed',
    'private'
);


ALTER TYPE public.network_group_name OWNER TO nailgun;

--
-- Name: node_error_type; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE node_error_type AS ENUM (
    'deploy',
    'provision',
    'deletion'
);


ALTER TYPE public.node_error_type OWNER TO nailgun;

--
-- Name: node_status; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE node_status AS ENUM (
    'ready',
    'discover',
    'provisioning',
    'provisioned',
    'deploying',
    'error'
);


ALTER TYPE public.node_status OWNER TO nailgun;

--
-- Name: notif_status; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE notif_status AS ENUM (
    'read',
    'unread'
);


ALTER TYPE public.notif_status OWNER TO nailgun;

--
-- Name: notif_topic; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE notif_topic AS ENUM (
    'discover',
    'done',
    'error',
    'warning'
);


ALTER TYPE public.notif_topic OWNER TO nailgun;

--
-- Name: plugin_type; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE plugin_type AS ENUM (
    'nailgun',
    'fuel'
);


ALTER TYPE public.plugin_type OWNER TO nailgun;

--
-- Name: possible_changes; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE possible_changes AS ENUM (
    'networks',
    'attributes',
    'disks'
);


ALTER TYPE public.possible_changes OWNER TO nailgun;

--
-- Name: release_state; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE release_state AS ENUM (
    'not_available',
    'downloading',
    'error',
    'available'
);


ALTER TYPE public.release_state OWNER TO nailgun;

--
-- Name: segmentation_type; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE segmentation_type AS ENUM (
    'vlan',
    'gre'
);


ALTER TYPE public.segmentation_type OWNER TO nailgun;

--
-- Name: task_name; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE task_name AS ENUM (
    'super',
    'deploy',
    'deployment',
    'provision',
    'node_deletion',
    'cluster_deletion',
    'check_before_deployment',
    'check_networks',
    'verify_networks',
    'check_dhcp',
    'verify_network_connectivity',
    'install_plugin',
    'update_plugin',
    'delete_plugin',
    'redhat_setup',
    'redhat_check_credentials',
    'redhat_check_licenses',
    'redhat_download_release',
    'redhat_update_cobbler_profile',
    'dump',
    'capacity_log'
);


ALTER TYPE public.task_name OWNER TO nailgun;

--
-- Name: task_status; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE task_status AS ENUM (
    'ready',
    'running',
    'error'
);


ALTER TYPE public.task_status OWNER TO nailgun;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: allowed_networks; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE allowed_networks (
    id integer NOT NULL,
    network_id integer NOT NULL,
    interface_id integer NOT NULL
);


ALTER TABLE public.allowed_networks OWNER TO nailgun;

--
-- Name: allowed_networks_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE allowed_networks_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.allowed_networks_id_seq OWNER TO nailgun;

--
-- Name: allowed_networks_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE allowed_networks_id_seq OWNED BY allowed_networks.id;


--
-- Name: allowed_networks_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('allowed_networks_id_seq', 130, true);


--
-- Name: attributes; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE attributes (
    id integer NOT NULL,
    cluster_id integer,
    editable text,
    generated text
);


ALTER TABLE public.attributes OWNER TO nailgun;

--
-- Name: attributes_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE attributes_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.attributes_id_seq OWNER TO nailgun;

--
-- Name: attributes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE attributes_id_seq OWNED BY attributes.id;


--
-- Name: attributes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('attributes_id_seq', 1, true);


--
-- Name: capacity_log; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE capacity_log (
    id integer NOT NULL,
    report text,
    datetime timestamp without time zone
);


ALTER TABLE public.capacity_log OWNER TO nailgun;

--
-- Name: capacity_log_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE capacity_log_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.capacity_log_id_seq OWNER TO nailgun;

--
-- Name: capacity_log_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE capacity_log_id_seq OWNED BY capacity_log.id;


--
-- Name: capacity_log_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('capacity_log_id_seq', 1, false);


--
-- Name: cluster_changes; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE cluster_changes (
    id integer NOT NULL,
    cluster_id integer,
    node_id integer,
    name possible_changes NOT NULL
);


ALTER TABLE public.cluster_changes OWNER TO nailgun;

--
-- Name: cluster_changes_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE cluster_changes_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.cluster_changes_id_seq OWNER TO nailgun;

--
-- Name: cluster_changes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE cluster_changes_id_seq OWNED BY cluster_changes.id;


--
-- Name: cluster_changes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('cluster_changes_id_seq', 7, true);


--
-- Name: clusters; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE clusters (
    id integer NOT NULL,
    mode cluster_mode NOT NULL,
    status cluster_status NOT NULL,
    net_provider net_provider NOT NULL,
    net_l23_provider net_l23_provider NOT NULL,
    net_segment_type net_segment_type NOT NULL,
    net_manager cluster_net_manager NOT NULL,
    grouping cluster_grouping NOT NULL,
    name character varying(50) NOT NULL,
    release_id integer NOT NULL,
    dns_nameservers text,
    replaced_deployment_info text,
    replaced_provisioning_info text,
    is_customized boolean
);


ALTER TABLE public.clusters OWNER TO nailgun;

--
-- Name: clusters_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE clusters_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.clusters_id_seq OWNER TO nailgun;

--
-- Name: clusters_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE clusters_id_seq OWNED BY clusters.id;


--
-- Name: clusters_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('clusters_id_seq', 1, true);


--
-- Name: global_parameters; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE global_parameters (
    id integer NOT NULL,
    parameters text
);


ALTER TABLE public.global_parameters OWNER TO nailgun;

--
-- Name: global_parameters_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE global_parameters_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.global_parameters_id_seq OWNER TO nailgun;

--
-- Name: global_parameters_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE global_parameters_id_seq OWNED BY global_parameters.id;


--
-- Name: global_parameters_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('global_parameters_id_seq', 1, true);


--
-- Name: ip_addr_ranges; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE ip_addr_ranges (
    id integer NOT NULL,
    network_group_id integer,
    first character varying(25) NOT NULL,
    last character varying(25) NOT NULL
);


ALTER TABLE public.ip_addr_ranges OWNER TO nailgun;

--
-- Name: ip_addr_ranges_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE ip_addr_ranges_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.ip_addr_ranges_id_seq OWNER TO nailgun;

--
-- Name: ip_addr_ranges_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE ip_addr_ranges_id_seq OWNED BY ip_addr_ranges.id;


--
-- Name: ip_addr_ranges_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('ip_addr_ranges_id_seq', 14, true);


--
-- Name: ip_addrs; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE ip_addrs (
    id integer NOT NULL,
    network integer,
    node integer,
    ip_addr character varying(25) NOT NULL
);


ALTER TABLE public.ip_addrs OWNER TO nailgun;

--
-- Name: ip_addrs_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE ip_addrs_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.ip_addrs_id_seq OWNER TO nailgun;

--
-- Name: ip_addrs_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE ip_addrs_id_seq OWNED BY ip_addrs.id;


--
-- Name: ip_addrs_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('ip_addrs_id_seq', 40, true);


--
-- Name: net_assignments; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE net_assignments (
    id integer NOT NULL,
    network_id integer NOT NULL,
    interface_id integer NOT NULL
);


ALTER TABLE public.net_assignments OWNER TO nailgun;

--
-- Name: net_assignments_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE net_assignments_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.net_assignments_id_seq OWNER TO nailgun;

--
-- Name: net_assignments_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE net_assignments_id_seq OWNED BY net_assignments.id;


--
-- Name: net_assignments_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('net_assignments_id_seq', 55, true);


--
-- Name: network_groups; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE network_groups (
    id integer NOT NULL,
    name network_group_name NOT NULL,
    release integer,
    cluster_id integer,
    network_size integer,
    amount integer,
    vlan_start integer,
    cidr character varying(25),
    gateway character varying(25),
    netmask character varying(25) NOT NULL
);


ALTER TABLE public.network_groups OWNER TO nailgun;

--
-- Name: network_groups_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE network_groups_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.network_groups_id_seq OWNER TO nailgun;

--
-- Name: network_groups_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE network_groups_id_seq OWNED BY network_groups.id;


--
-- Name: network_groups_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('network_groups_id_seq', 6, true);


--
-- Name: neutron_configs; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE neutron_configs (
    id integer NOT NULL,
    cluster_id integer,
    parameters text,
    "L2" text,
    "L3" text,
    predefined_networks text,
    segmentation_type segmentation_type NOT NULL
);


ALTER TABLE public.neutron_configs OWNER TO nailgun;

--
-- Name: neutron_configs_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE neutron_configs_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.neutron_configs_id_seq OWNER TO nailgun;

--
-- Name: neutron_configs_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE neutron_configs_id_seq OWNED BY neutron_configs.id;


--
-- Name: neutron_configs_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('neutron_configs_id_seq', 1, false);


--
-- Name: node_attributes; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE node_attributes (
    id integer NOT NULL,
    node_id integer,
    volumes text,
    interfaces text
);


ALTER TABLE public.node_attributes OWNER TO nailgun;

--
-- Name: node_attributes_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE node_attributes_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.node_attributes_id_seq OWNER TO nailgun;

--
-- Name: node_attributes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE node_attributes_id_seq OWNED BY node_attributes.id;


--
-- Name: node_attributes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('node_attributes_id_seq', 5, true);


--
-- Name: node_nic_interfaces; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE node_nic_interfaces (
    id integer NOT NULL,
    node_id integer NOT NULL,
    name character varying(128) NOT NULL,
    mac character varying(17) NOT NULL,
    max_speed integer,
    current_speed integer,
    ip_addr character varying(25),
    netmask character varying(25),
    state character varying(25)
);


ALTER TABLE public.node_nic_interfaces OWNER TO nailgun;

--
-- Name: node_nic_interfaces_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE node_nic_interfaces_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.node_nic_interfaces_id_seq OWNER TO nailgun;

--
-- Name: node_nic_interfaces_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE node_nic_interfaces_id_seq OWNED BY node_nic_interfaces.id;


--
-- Name: node_nic_interfaces_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('node_nic_interfaces_id_seq', 25, true);


--
-- Name: node_roles; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE node_roles (
    id integer NOT NULL,
    role integer,
    node integer
);


ALTER TABLE public.node_roles OWNER TO nailgun;

--
-- Name: node_roles_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE node_roles_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.node_roles_id_seq OWNER TO nailgun;

--
-- Name: node_roles_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE node_roles_id_seq OWNED BY node_roles.id;


--
-- Name: node_roles_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('node_roles_id_seq', 5, true);


--
-- Name: nodes; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE nodes (
    id integer NOT NULL,
    cluster_id integer,
    name character varying(100),
    status node_status NOT NULL,
    meta text,
    mac character varying(17) NOT NULL,
    ip character varying(15),
    fqdn character varying(255),
    manufacturer character varying(50),
    platform_name character varying(150),
    progress integer,
    os_platform character varying(150),
    pending_addition boolean,
    pending_deletion boolean,
    error_type node_error_type,
    error_msg character varying(255),
    "timestamp" timestamp without time zone NOT NULL,
    online boolean
);


ALTER TABLE public.nodes OWNER TO nailgun;

--
-- Name: nodes_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE nodes_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.nodes_id_seq OWNER TO nailgun;

--
-- Name: nodes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE nodes_id_seq OWNED BY nodes.id;


--
-- Name: nodes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('nodes_id_seq', 5, true);


--
-- Name: notifications; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE notifications (
    id integer NOT NULL,
    cluster_id integer,
    node_id integer,
    task_id integer,
    topic notif_topic NOT NULL,
    message text,
    status notif_status NOT NULL,
    datetime timestamp without time zone NOT NULL
);


ALTER TABLE public.notifications OWNER TO nailgun;

--
-- Name: notifications_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE notifications_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.notifications_id_seq OWNER TO nailgun;

--
-- Name: notifications_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE notifications_id_seq OWNED BY notifications.id;


--
-- Name: notifications_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('notifications_id_seq', 7, true);


--
-- Name: pending_node_roles; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE pending_node_roles (
    id integer NOT NULL,
    role integer,
    node integer
);


ALTER TABLE public.pending_node_roles OWNER TO nailgun;

--
-- Name: pending_node_roles_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE pending_node_roles_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.pending_node_roles_id_seq OWNER TO nailgun;

--
-- Name: pending_node_roles_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE pending_node_roles_id_seq OWNED BY pending_node_roles.id;


--
-- Name: pending_node_roles_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('pending_node_roles_id_seq', 5, true);


--
-- Name: plugins; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE plugins (
    id integer NOT NULL,
    type plugin_type NOT NULL,
    name character varying(128) NOT NULL,
    state character varying(128) NOT NULL,
    version character varying(128) NOT NULL
);


ALTER TABLE public.plugins OWNER TO nailgun;

--
-- Name: plugins_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE plugins_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.plugins_id_seq OWNER TO nailgun;

--
-- Name: plugins_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE plugins_id_seq OWNED BY plugins.id;


--
-- Name: plugins_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('plugins_id_seq', 1, false);


--
-- Name: red_hat_accounts; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE red_hat_accounts (
    id integer NOT NULL,
    username character varying(100) NOT NULL,
    password character varying(100) NOT NULL,
    license_type license_type NOT NULL,
    satellite character varying(250),
    activation_key character varying(300)
);


ALTER TABLE public.red_hat_accounts OWNER TO nailgun;

--
-- Name: red_hat_accounts_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE red_hat_accounts_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.red_hat_accounts_id_seq OWNER TO nailgun;

--
-- Name: red_hat_accounts_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE red_hat_accounts_id_seq OWNED BY red_hat_accounts.id;


--
-- Name: red_hat_accounts_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('red_hat_accounts_id_seq', 1, false);


--
-- Name: releases; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE releases (
    id integer NOT NULL,
    name character varying(100) NOT NULL,
    version character varying(30) NOT NULL,
    description character varying,
    operating_system character varying(50) NOT NULL,
    state release_state NOT NULL,
    networks_metadata text,
    attributes_metadata text,
    volumes_metadata text,
    modes_metadata text,
    roles_metadata text
);


ALTER TABLE public.releases OWNER TO nailgun;

--
-- Name: releases_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE releases_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.releases_id_seq OWNER TO nailgun;

--
-- Name: releases_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE releases_id_seq OWNED BY releases.id;


--
-- Name: releases_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('releases_id_seq', 3, true);


--
-- Name: roles; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE roles (
    id integer NOT NULL,
    release_id integer NOT NULL,
    name character varying(50) NOT NULL
);


ALTER TABLE public.roles OWNER TO nailgun;

--
-- Name: roles_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE roles_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.roles_id_seq OWNER TO nailgun;

--
-- Name: roles_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE roles_id_seq OWNED BY roles.id;


--
-- Name: roles_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('roles_id_seq', 11, true);


--
-- Name: tasks; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE tasks (
    id integer NOT NULL,
    cluster_id integer,
    uuid character varying(36) NOT NULL,
    name task_name NOT NULL,
    message text,
    status task_status NOT NULL,
    progress integer,
    cache text,
    result text,
    parent_id integer,
    weight double precision
);


ALTER TABLE public.tasks OWNER TO nailgun;

--
-- Name: tasks_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE tasks_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.tasks_id_seq OWNER TO nailgun;

--
-- Name: tasks_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE tasks_id_seq OWNED BY tasks.id;


--
-- Name: tasks_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('tasks_id_seq', 7, true);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY allowed_networks ALTER COLUMN id SET DEFAULT nextval('allowed_networks_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY attributes ALTER COLUMN id SET DEFAULT nextval('attributes_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY capacity_log ALTER COLUMN id SET DEFAULT nextval('capacity_log_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_changes ALTER COLUMN id SET DEFAULT nextval('cluster_changes_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY clusters ALTER COLUMN id SET DEFAULT nextval('clusters_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY global_parameters ALTER COLUMN id SET DEFAULT nextval('global_parameters_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addr_ranges ALTER COLUMN id SET DEFAULT nextval('ip_addr_ranges_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addrs ALTER COLUMN id SET DEFAULT nextval('ip_addrs_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_assignments ALTER COLUMN id SET DEFAULT nextval('net_assignments_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY network_groups ALTER COLUMN id SET DEFAULT nextval('network_groups_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY neutron_configs ALTER COLUMN id SET DEFAULT nextval('neutron_configs_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_attributes ALTER COLUMN id SET DEFAULT nextval('node_attributes_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_nic_interfaces ALTER COLUMN id SET DEFAULT nextval('node_nic_interfaces_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_roles ALTER COLUMN id SET DEFAULT nextval('node_roles_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY nodes ALTER COLUMN id SET DEFAULT nextval('nodes_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY notifications ALTER COLUMN id SET DEFAULT nextval('notifications_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY pending_node_roles ALTER COLUMN id SET DEFAULT nextval('pending_node_roles_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY plugins ALTER COLUMN id SET DEFAULT nextval('plugins_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY red_hat_accounts ALTER COLUMN id SET DEFAULT nextval('red_hat_accounts_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY releases ALTER COLUMN id SET DEFAULT nextval('releases_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY roles ALTER COLUMN id SET DEFAULT nextval('roles_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY tasks ALTER COLUMN id SET DEFAULT nextval('tasks_id_seq'::regclass);


--
-- Data for Name: allowed_networks; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY allowed_networks (id, network_id, interface_id) FROM stdin;
1	2	11
2	3	11
3	4	11
4	5	11
5	6	11
6	2	12
7	3	12
8	4	12
9	5	12
10	6	12
11	2	14
12	3	14
13	4	14
14	5	14
15	6	14
16	1	15
17	2	15
18	3	15
19	4	15
20	5	15
21	6	15
22	2	13
23	3	13
24	4	13
25	5	13
26	6	13
27	2	1
28	3	1
29	4	1
30	5	1
31	6	1
32	2	2
33	3	2
34	4	2
35	5	2
36	6	2
37	2	4
38	3	4
39	4	4
40	5	4
41	6	4
42	2	3
43	3	3
44	4	3
45	5	3
46	6	3
47	1	5
48	2	5
49	3	5
50	4	5
51	5	5
52	6	5
53	2	21
54	3	21
55	4	21
56	5	21
57	6	21
58	2	22
59	3	22
60	4	22
61	5	22
62	6	22
63	2	23
64	3	23
65	4	23
66	5	23
67	6	23
68	1	25
69	2	25
70	3	25
71	4	25
72	5	25
73	6	25
74	2	24
75	3	24
76	4	24
77	5	24
78	6	24
79	2	17
80	3	17
81	4	17
82	5	17
83	6	17
84	2	19
85	3	19
86	4	19
87	5	19
88	6	19
89	2	18
90	3	18
91	4	18
92	5	18
93	6	18
94	2	16
95	3	16
96	4	16
97	5	16
98	6	16
99	1	20
100	2	20
101	3	20
102	4	20
103	5	20
104	6	20
105	1	10
106	2	10
107	3	10
108	4	10
109	5	10
110	6	10
111	2	7
112	3	7
113	4	7
114	5	7
115	6	7
116	2	8
117	3	8
118	4	8
119	5	8
120	6	8
121	2	6
122	3	6
123	4	6
124	5	6
125	6	6
126	2	9
127	3	9
128	4	9
129	5	9
130	6	9
\.


--
-- Data for Name: attributes; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY attributes (id, cluster_id, editable, generated) FROM stdin;
1	1	{"access": {"password": {"value": "admin", "type": "password", "description": "Password for Administrator", "weight": 20, "label": "password"}, "user": {"value": "admin", "type": "text", "description": "Username for Administrator", "weight": 10, "label": "username"}, "tenant": {"value": "admin", "type": "text", "description": "Tenant (project) name for Administrator", "weight": 30, "label": "tenant"}, "email": {"value": "admin@example.org", "type": "text", "description": "Email address for Administrator", "weight": 40, "label": "email"}}, "syslog": {"syslog_port": {"value": 5514, "type": "text", "description": "Remote syslog port", "weight": 20, "label": "Port"}, "syslog_transport": {"values": [{"data": "udp", "description": "", "label": "UDP"}, {"data": "tcp", "description": "", "label": "TCP"}], "type": "radio", "value": "udp", "weight": 30, "label": "Syslog transport protocol"}, "syslog_server": {"value": "10.108.38.1", "type": "text", "description": "Remote syslog hostname", "weight": 10, "label": "Hostname"}}, "additional_components": {"murano": {"value": true, "type": "checkbox", "description": "If selected, Murano component will be installed", "weight": 20, "label": "Install Murano"}, "ceilometer": {"value": false, "type": "checkbox", "description": "If selected, Ceilometer component will be installed", "weight": 40, "label": "Install Ceilometer"}, "heat": {"value": true, "type": "hidden", "description": "", "weight": 30, "label": ""}, "savanna": {"value": false, "type": "checkbox", "description": "If selected, Savanna component will be installed", "weight": 10, "label": "Install Savanna"}}, "storage": {"volumes_ceph": {"value": false, "type": "checkbox", "description": "Requires at least two Ceph-OSD nodes", "weight": 20, "label": "Ceph RBD for volumes"}, "objects_ceph": {"value": false, "type": "checkbox", "description": "Requires at least two Ceph-OSD nodes, incompatible with Swift", "weight": 40, "label": "Ceph rados-gw for objects"}, "ephemeral_ceph": {"value": false, "type": "checkbox", "description": "Requires at least two Ceph-OSD nodes", "weight": 35, "label": "Ceph RBD for ephemeral volumes"}, "volumes_lvm": {"value": false, "type": "checkbox", "description": "Requires at least one Cinder node", "weight": 10, "label": "Cinder LVM over iSCSI for volumes"}, "osd_pool_size": {"value": "2", "type": "text", "description": "Defines the number of object replicas in Ceph pools. At least that many Ceph-OSD nodes must be deployed.", "weight": 70, "label": "Ceph object replication factor"}, "images_ceph": {"value": false, "type": "checkbox", "description": "Requires at least two Ceph-OSD nodes", "weight": 30, "label": "Ceph RBD for images"}}, "common": {"auto_assign_floating_ip": {"value": false, "type": "checkbox", "description": "If selected, OpenStack will automatically assign a floating IP to a new instance", "weight": 40, "label": "Auto assign floating IP"}, "use_cow_images": {"value": true, "type": "checkbox", "description": "For most cases you will want qcow format. If it's disabled, raw image format will be used to run VMs. OpenStack with raw format currently does not support snapshotting.", "weight": 50, "label": "Use qcow format for images"}, "auth_key": {"value": "", "type": "text", "description": "Public key(s) to include in authorized_keys on deployed nodes", "weight": 80, "label": "Public Key"}, "compute_scheduler_driver": {"values": [{"data": "nova.scheduler.filter_scheduler.FilterScheduler", "description": "Currently the most advanced OpenStack scheduler. See the OpenStack documentation for details.", "label": "Filter scheduler"}, {"data": "nova.scheduler.simple.SimpleScheduler", "description": "This is 'naive' scheduler which tries to find the least loaded host", "label": "Simple scheduler"}], "type": "radio", "value": "nova.scheduler.filter_scheduler.FilterScheduler", "weight": 70, "label": "Scheduler driver"}, "libvirt_type": {"values": [{"data": "kvm", "description": "Choose this type of hypervisor if you run OpenStack on hardware", "label": "KVM"}, {"data": "qemu", "description": "Choose this type of hypervisor if you run OpenStack on virtual hosts.", "label": "QEMU"}], "type": "radio", "value": "qemu", "weight": 30, "label": "Hypervisor type"}, "start_guests_on_host_boot": {"value": true, "type": "checkbox", "description": "Whether to (re-)start guests when the host reboots. If enabled, this option causes guests assigned to the host to be unconditionally restarted when nova-compute starts. If the guest is found to be stopped, it starts. If it is found to be running, it reboots.", "weight": 60, "label": "Start guests on host boot"}, "vlan_splinters": {"value": false, "type": "checkbox", "description": "Use VLAN splinters Open vSwitch method on necessary network interfaces", "weight": 45, "label": "Enable 'OVS VLAN splinters' feature (Neutron only)"}, "debug": {"value": true, "type": "checkbox", "description": "Debug logging mode provides more information, but requires more disk space.", "weight": 20, "label": "OpenStack debug logging"}}}	{"quantum_settings": {"metadata": {"metadata_proxy_shared_secret": "MX6yGma1"}, "keystone": {"admin_password": "FX8aJbTc"}, "database": {"passwd": "CFxFLF23"}}, "base_syslog": {"syslog_port": "514", "syslog_server": "10.108.38.2"}, "ceilometer": {"db_password": "JduUROgS", "user_password": "msnG0blO", "metering_secret": "OPkycZGR"}, "murano": {"db_password": "dPKHltQ0"}, "nova": {"db_password": "vMjwUyDX", "user_password": "FvgtpxQQ", "state_path": "/var/lib/nova"}, "heat": {"db_password": "R65QN9Im", "rabbit_user": "Vm9JWi9j", "rabbit_password": "IXlCP4VB"}, "cobbler": {"profile": "ubuntu_1204_x86_64"}, "rabbit": {"password": "T2lS2Du9"}, "mysql": {"root_password": "JRQbhRQW"}, "keystone": {"db_password": "t1gucrfZ", "admin_token": "PYHoZOuA"}, "glance": {"db_password": "8H8ADMNW", "user_password": "kxzcnhGX"}, "cinder": {"db_password": "9IkQKXEr", "user_password": "9IbTvghV"}, "swift": {"user_password": "Z8EtOxke"}, "savanna": {"db_password": "QAtfLCHZ"}}
\.


--
-- Data for Name: capacity_log; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY capacity_log (id, report, datetime) FROM stdin;
\.


--
-- Data for Name: cluster_changes; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY cluster_changes (id, cluster_id, node_id, name) FROM stdin;
1	1	\N	attributes
2	1	\N	networks
3	1	3	disks
4	1	1	disks
5	1	5	disks
6	1	4	disks
7	1	2	disks
\.


--
-- Data for Name: clusters; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY clusters (id, mode, status, net_provider, net_l23_provider, net_segment_type, net_manager, grouping, name, release_id, dns_nameservers, replaced_deployment_info, replaced_provisioning_info, is_customized) FROM stdin;
1	multinode	error	nova_network	ovs	vlan	FlatDHCPManager	roles	MuranoSimple	3	["8.8.8.8", "8.8.4.4"]	{}	{}	f
\.


--
-- Data for Name: global_parameters; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY global_parameters (id, parameters) FROM stdin;
1	{"net_exclude": "10.20.0.0/24", "vlan_range": [100, 1000]}
\.


--
-- Data for Name: ip_addr_ranges; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY ip_addr_ranges (id, network_group_id, first, last) FROM stdin;
1	1	10.108.38.3	10.108.38.127
7	2	10.108.40.128	10.108.40.254
8	3	10.108.40.2	10.108.40.127
10	4	10.108.43.2	10.108.43.254
12	5	10.108.48.2	10.108.48.254
14	6	10.0.0.2	10.0.255.254
\.


--
-- Data for Name: ip_addrs; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY ip_addrs (id, network, node, ip_addr) FROM stdin;
1	1	1	10.108.38.3
2	1	1	10.108.38.4
3	1	1	10.108.38.5
4	1	1	10.108.38.6
5	1	1	10.108.38.7
6	1	2	10.108.38.8
7	1	2	10.108.38.9
8	1	2	10.108.38.10
9	1	2	10.108.38.11
10	1	2	10.108.38.12
11	1	3	10.108.38.13
12	1	3	10.108.38.14
13	1	3	10.108.38.15
14	1	3	10.108.38.16
15	1	3	10.108.38.17
16	1	4	10.108.38.18
17	1	4	10.108.38.19
18	1	4	10.108.38.20
19	1	4	10.108.38.21
20	1	4	10.108.38.22
21	1	5	10.108.38.23
22	1	5	10.108.38.24
23	1	5	10.108.38.25
24	1	5	10.108.38.26
25	1	5	10.108.38.27
26	4	1	10.108.43.2
27	4	2	10.108.43.3
28	4	3	10.108.43.4
29	4	4	10.108.43.5
30	4	5	10.108.43.6
31	3	1	10.108.40.2
32	3	2	10.108.40.3
33	3	3	10.108.40.4
34	3	4	10.108.40.5
35	3	5	10.108.40.6
36	5	1	10.108.48.2
37	5	2	10.108.48.3
38	5	3	10.108.48.4
39	5	4	10.108.48.5
40	5	5	10.108.48.6
\.


--
-- Data for Name: net_assignments; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY net_assignments (id, network_id, interface_id) FROM stdin;
31	5	1
32	6	2
33	4	3
34	2	4
35	3	4
36	5	6
37	6	7
38	4	8
39	2	9
40	3	9
41	5	11
42	6	12
43	4	13
44	2	14
45	3	14
46	5	16
47	6	17
48	4	18
49	2	19
50	3	19
51	5	21
52	6	22
53	4	23
54	2	24
55	3	24
\.


--
-- Data for Name: network_groups; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY network_groups (id, name, release, cluster_id, network_size, amount, vlan_start, cidr, gateway, netmask) FROM stdin;
1	fuelweb_admin	\N	\N	256	1	\N	10.108.38.0/24	\N	255.255.255.0
2	floating	3	1	256	1	\N	10.108.40.0/24	10.108.40.1	255.255.255.0
3	public	3	1	256	1	\N	10.108.40.0/24	10.108.40.1	255.255.255.0
4	management	3	1	256	1	\N	10.108.43.0/24	10.108.43.1	255.255.255.0
5	storage	3	1	256	1	\N	10.108.48.0/24	10.108.48.1	255.255.255.0
6	fixed	3	1	256	1	103	10.0.0.0/16	10.0.0.1	255.255.0.0
\.


--
-- Data for Name: neutron_configs; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY neutron_configs (id, cluster_id, parameters, "L2", "L3", predefined_networks, segmentation_type) FROM stdin;
\.


--
-- Data for Name: node_attributes; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY node_attributes (id, node_id, volumes, interfaces) FROM stdin;
3	3	[{"name": "vda", "free_space": 50572, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 17472}, {"vg": "vm", "type": "pv", "lvm_meta_size": 64, "size": 33228}], "type": "disk", "id": "disk/by-path/pci-0000:00:08.0-virtio-pci-virtio5", "size": 51200}, {"name": "vdb", "free_space": 50572, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "vm", "type": "pv", "lvm_meta_size": 64, "size": 50636}], "type": "disk", "id": "disk/by-path/pci-0000:00:09.0-virtio-pci-virtio6", "size": 51200}, {"name": "vdc", "free_space": 50572, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "vm", "type": "pv", "lvm_meta_size": 64, "size": 50636}], "type": "disk", "id": "disk/by-path/pci-0000:00:0a.0-virtio-pci-virtio7", "size": 51200}, {"_allocate_size": "min", "label": "Base System", "min_size": 17408, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 2048}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Virtual Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": 134308}], "type": "vg", "id": "vm"}]	{}
5	5	[{"name": "vda", "free_space": 50572, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 17472}, {"vg": "vm", "type": "pv", "lvm_meta_size": 64, "size": 33228}], "type": "disk", "id": "disk/by-path/pci-0000:00:08.0-virtio-pci-virtio5", "size": 51200}, {"name": "vdb", "free_space": 50572, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "vm", "type": "pv", "lvm_meta_size": 64, "size": 50636}], "type": "disk", "id": "disk/by-path/pci-0000:00:09.0-virtio-pci-virtio6", "size": 51200}, {"name": "vdc", "free_space": 50572, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "vm", "type": "pv", "lvm_meta_size": 64, "size": 50636}], "type": "disk", "id": "disk/by-path/pci-0000:00:0a.0-virtio-pci-virtio7", "size": 51200}, {"_allocate_size": "min", "label": "Base System", "min_size": 17408, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 2048}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Virtual Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": 134308}], "type": "vg", "id": "vm"}]	{}
2	2	[{"name": "vda", "free_space": 50572, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 17472}, {"vg": "image", "type": "pv", "lvm_meta_size": 64, "size": 33228}], "type": "disk", "id": "disk/by-path/pci-0000:00:08.0-virtio-pci-virtio5", "size": 51200}, {"name": "vdb", "free_space": 50572, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "image", "type": "pv", "lvm_meta_size": 64, "size": 50636}], "type": "disk", "id": "disk/by-path/pci-0000:00:09.0-virtio-pci-virtio6", "size": 51200}, {"name": "vdc", "free_space": 50572, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "image", "type": "pv", "lvm_meta_size": 64, "size": 50636}], "type": "disk", "id": "disk/by-path/pci-0000:00:0a.0-virtio-pci-virtio7", "size": 51200}, {"_allocate_size": "min", "label": "Base System", "min_size": 17408, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 2048}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Image Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/glance", "type": "lv", "name": "glance", "file_system": "xfs", "size": 134308}], "type": "vg", "id": "image"}]	{}
1	1	[{"name": "vda", "free_space": 50572, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 17472}, {"vg": "cinder", "type": "pv", "lvm_meta_size": 64, "size": 33228}], "type": "disk", "id": "disk/by-path/pci-0000:00:08.0-virtio-pci-virtio5", "size": 51200}, {"name": "vdb", "free_space": 50572, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "cinder", "type": "pv", "lvm_meta_size": 64, "size": 50636}], "type": "disk", "id": "disk/by-path/pci-0000:00:09.0-virtio-pci-virtio6", "size": 51200}, {"name": "vdc", "free_space": 50572, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "cinder", "type": "pv", "lvm_meta_size": 64, "size": 50636}], "type": "disk", "id": "disk/by-path/pci-0000:00:0a.0-virtio-pci-virtio7", "size": 51200}, {"_allocate_size": "min", "label": "Base System", "min_size": 17408, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 2048}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Cinder", "min_size": 1536, "volumes": [], "type": "vg", "id": "cinder"}]	{}
4	4	[{"name": "vda", "free_space": 50572, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 17472}, {"vg": "vm", "type": "pv", "lvm_meta_size": 64, "size": 33228}], "type": "disk", "id": "disk/by-path/pci-0000:00:08.0-virtio-pci-virtio5", "size": 51200}, {"name": "vdb", "free_space": 50572, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "vm", "type": "pv", "lvm_meta_size": 64, "size": 50636}], "type": "disk", "id": "disk/by-path/pci-0000:00:09.0-virtio-pci-virtio6", "size": 51200}, {"name": "vdc", "free_space": 50572, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "vm", "type": "pv", "lvm_meta_size": 64, "size": 50636}], "type": "disk", "id": "disk/by-path/pci-0000:00:0a.0-virtio-pci-virtio7", "size": 51200}, {"_allocate_size": "min", "label": "Base System", "min_size": 17408, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 2048}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Virtual Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": 134308}], "type": "vg", "id": "vm"}]	{}
\.


--
-- Data for Name: node_nic_interfaces; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY node_nic_interfaces (id, node_id, name, mac, max_speed, current_speed, ip_addr, netmask, state) FROM stdin;
16	4	eth4	64:76:bc:7d:55:e1	\N	\N	\N	\N	up
17	4	eth3	64:dd:d9:2d:cc:91	\N	\N	\N	\N	up
18	4	eth2	64:f7:18:b4:fd:f0	\N	\N	\N	\N	up
19	4	eth1	64:50:78:47:a1:ec	\N	\N	\N	\N	up
20	4	eth0	64:ff:00:b2:ab:69	\N	\N	10.108.38.227	255.255.255.0	up
21	5	eth4	64:3e:83:5e:b2:23	\N	\N	\N	\N	up
22	5	eth3	64:6e:e9:47:fe:d4	\N	\N	\N	\N	up
23	5	eth2	64:74:aa:18:40:f2	\N	\N	\N	\N	up
24	5	eth1	64:bb:80:36:6a:38	\N	\N	\N	\N	up
25	5	eth0	64:a3:58:cf:9c:4a	\N	\N	10.108.38.138	255.255.255.0	up
6	2	eth4	64:15:d0:74:36:a4	\N	\N	\N	\N	up
7	2	eth3	64:5e:a3:0e:d6:89	\N	\N	\N	\N	up
8	2	eth2	64:35:90:a8:6d:7c	\N	\N	\N	\N	up
9	2	eth1	64:bd:7d:3e:aa:bc	\N	\N	\N	\N	up
10	2	eth0	64:b4:cf:4c:e2:3d	\N	\N	10.108.38.182	255.255.255.0	up
11	3	eth4	64:f5:a9:49:79:72	\N	\N	\N	\N	up
12	3	eth3	64:56:c9:76:c0:ed	\N	\N	\N	\N	up
13	3	eth2	64:86:01:75:fc:6c	\N	\N	\N	\N	up
14	3	eth1	64:5a:66:69:0a:56	\N	\N	\N	\N	up
15	3	eth0	64:84:43:00:87:9d	\N	\N	10.108.38.156	255.255.255.0	up
1	1	eth4	64:28:0e:aa:5a:3b	\N	\N	\N	\N	up
2	1	eth3	64:7b:b2:02:31:82	\N	\N	\N	\N	up
3	1	eth2	64:bd:ff:ed:16:a6	\N	\N	\N	\N	up
4	1	eth1	64:e0:2b:3b:33:6d	\N	\N	\N	\N	up
5	1	eth0	64:90:fc:4a:c1:cf	\N	\N	10.108.38.229	255.255.255.0	up
\.


--
-- Data for Name: node_roles; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY node_roles (id, role, node) FROM stdin;
1	8	1
2	9	2
3	10	3
4	10	4
5	10	5
\.


--
-- Data for Name: nodes; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY nodes (id, cluster_id, name, status, meta, mac, ip, fqdn, manufacturer, platform_name, progress, os_platform, pending_addition, pending_deletion, error_type, error_msg, "timestamp", online) FROM stdin;
2	1	slave-01_controller	error	{"system": {"fqdn": "bootstrap", "manufacturer": "KVM"}, "interfaces": [{"mac": "64:15:D0:74:36:A4", "max_speed": null, "state": "up", "current_speed": null, "name": "eth4"}, {"mac": "64:5E:A3:0E:D6:89", "max_speed": null, "state": "up", "current_speed": null, "name": "eth3"}, {"mac": "64:35:90:A8:6D:7C", "max_speed": null, "state": "up", "current_speed": null, "name": "eth2"}, {"mac": "64:BD:7D:3E:AA:BC", "max_speed": null, "state": "up", "current_speed": null, "name": "eth1"}, {"name": "eth0", "state": "up", "ip": "10.108.38.182", "mac": "64:B4:CF:4C:E2:3D", "netmask": "255.255.255.0", "max_speed": null, "current_speed": null}], "disks": [{"model": null, "disk": "disk/by-path/pci-0000:00:0a.0-virtio-pci-virtio7", "name": "vdc", "size": 53687091200}, {"model": null, "disk": "disk/by-path/pci-0000:00:09.0-virtio-pci-virtio6", "name": "vdb", "size": 53687091200}, {"model": null, "disk": "disk/by-path/pci-0000:00:08.0-virtio-pci-virtio5", "name": "vda", "size": 53687091200}], "cpu": {"real": 0, "total": 1, "spec": [{"model": "QEMU Virtual CPU version 1.2.0", "frequency": 1999}]}, "memory": {"slots": 1, "total": 1073741824, "maximum_capacity": 1073741824, "devices": [{"type": "RAM", "size": 1073741824}]}}	64:b4:cf:4c:e2:3d	10.108.38.182	node-2.test.domain.local	KVM	\N	0	centos	f	f	provision	\N	2013-12-11 23:49:09.62744	t
4	1	slave-03_compute	error	{"system": {"fqdn": "bootstrap", "manufacturer": "KVM"}, "interfaces": [{"mac": "64:76:BC:7D:55:E1", "max_speed": null, "state": "up", "current_speed": null, "name": "eth4"}, {"mac": "64:DD:D9:2D:CC:91", "max_speed": null, "state": "up", "current_speed": null, "name": "eth3"}, {"mac": "64:F7:18:B4:FD:F0", "max_speed": null, "state": "up", "current_speed": null, "name": "eth2"}, {"mac": "64:50:78:47:A1:EC", "max_speed": null, "state": "up", "current_speed": null, "name": "eth1"}, {"name": "eth0", "state": "up", "ip": "10.108.38.227", "netmask": "255.255.255.0", "mac": "64:FF:00:B2:AB:69", "max_speed": null, "current_speed": null}], "disks": [{"model": null, "disk": "disk/by-path/pci-0000:00:0a.0-virtio-pci-virtio7", "name": "vdc", "size": 53687091200}, {"model": null, "disk": "disk/by-path/pci-0000:00:09.0-virtio-pci-virtio6", "name": "vdb", "size": 53687091200}, {"model": null, "disk": "disk/by-path/pci-0000:00:08.0-virtio-pci-virtio5", "name": "vda", "size": 53687091200}], "cpu": {"real": 0, "total": 1, "spec": [{"model": "QEMU Virtual CPU version 1.2.0", "frequency": 1999}]}, "memory": {"slots": 1, "total": 1073741824, "maximum_capacity": 1073741824, "devices": [{"type": "RAM", "size": 1073741824}]}}	64:ff:00:b2:ab:69	10.108.38.227	node-4.test.domain.local	KVM	\N	0	centos	f	f	provision	\N	2013-12-11 23:48:04.21646	t
1	1	slave-05_cinder	error	{"system": {"fqdn": "bootstrap", "manufacturer": "KVM"}, "interfaces": [{"mac": "64:28:0E:AA:5A:3B", "max_speed": null, "state": "up", "current_speed": null, "name": "eth4"}, {"mac": "64:7B:B2:02:31:82", "max_speed": null, "state": "up", "current_speed": null, "name": "eth3"}, {"mac": "64:BD:FF:ED:16:A6", "max_speed": null, "state": "up", "current_speed": null, "name": "eth2"}, {"mac": "64:E0:2B:3B:33:6D", "max_speed": null, "state": "up", "current_speed": null, "name": "eth1"}, {"name": "eth0", "state": "up", "ip": "10.108.38.229", "mac": "64:90:FC:4A:C1:CF", "netmask": "255.255.255.0", "max_speed": null, "current_speed": null}], "disks": [{"model": null, "disk": "disk/by-path/pci-0000:00:0a.0-virtio-pci-virtio7", "name": "vdc", "size": 53687091200}, {"model": null, "disk": "disk/by-path/pci-0000:00:09.0-virtio-pci-virtio6", "name": "vdb", "size": 53687091200}, {"model": null, "disk": "disk/by-path/pci-0000:00:08.0-virtio-pci-virtio5", "name": "vda", "size": 53687091200}], "cpu": {"real": 0, "total": 1, "spec": [{"model": "QEMU Virtual CPU version 1.2.0", "frequency": 1999}]}, "memory": {"slots": 1, "total": 1073741824, "maximum_capacity": 1073741824, "devices": [{"type": "RAM", "size": 1073741824}]}}	64:90:fc:4a:c1:cf	10.108.38.229	node-1.test.domain.local	KVM	\N	0	centos	f	f	provision	\N	2013-12-12 02:03:36.497035	t
5	1	slave-02_compute	error	{"system": {"fqdn": "bootstrap", "manufacturer": "KVM"}, "interfaces": [{"mac": "64:3E:83:5E:B2:23", "max_speed": null, "state": "up", "current_speed": null, "name": "eth4"}, {"mac": "64:6E:E9:47:FE:D4", "max_speed": null, "state": "up", "current_speed": null, "name": "eth3"}, {"mac": "64:74:AA:18:40:F2", "max_speed": null, "state": "up", "current_speed": null, "name": "eth2"}, {"mac": "64:BB:80:36:6A:38", "max_speed": null, "state": "up", "current_speed": null, "name": "eth1"}, {"name": "eth0", "state": "up", "ip": "10.108.38.138", "mac": "64:A3:58:CF:9C:4A", "netmask": "255.255.255.0", "max_speed": null, "current_speed": null}], "disks": [{"model": null, "disk": "disk/by-path/pci-0000:00:0a.0-virtio-pci-virtio7", "name": "vdc", "size": 53687091200}, {"model": null, "disk": "disk/by-path/pci-0000:00:09.0-virtio-pci-virtio6", "name": "vdb", "size": 53687091200}, {"model": null, "disk": "disk/by-path/pci-0000:00:08.0-virtio-pci-virtio5", "name": "vda", "size": 53687091200}], "cpu": {"real": 0, "total": 1, "spec": [{"model": "QEMU Virtual CPU version 1.2.0", "frequency": 1999}]}, "memory": {"slots": 1, "total": 1073741824, "maximum_capacity": 1073741824, "devices": [{"type": "RAM", "size": 1073741824}]}}	64:a3:58:cf:9c:4a	10.108.38.138	node-5.test.domain.local	KVM	\N	0	centos	f	f	provision	\N	2013-12-11 23:49:01.081493	t
3	1	slave-04_compute	error	{"system": {"fqdn": "bootstrap", "manufacturer": "KVM"}, "interfaces": [{"mac": "64:F5:A9:49:79:72", "max_speed": null, "state": "up", "current_speed": null, "name": "eth4"}, {"mac": "64:56:C9:76:C0:ED", "max_speed": null, "state": "up", "current_speed": null, "name": "eth3"}, {"mac": "64:86:01:75:FC:6C", "max_speed": null, "state": "up", "current_speed": null, "name": "eth2"}, {"mac": "64:5A:66:69:0A:56", "max_speed": null, "state": "up", "current_speed": null, "name": "eth1"}, {"name": "eth0", "state": "up", "ip": "10.108.38.156", "netmask": "255.255.255.0", "mac": "64:84:43:00:87:9D", "max_speed": null, "current_speed": null}], "disks": [{"model": null, "disk": "disk/by-path/pci-0000:00:0a.0-virtio-pci-virtio7", "name": "vdc", "size": 53687091200}, {"model": null, "disk": "disk/by-path/pci-0000:00:09.0-virtio-pci-virtio6", "name": "vdb", "size": 53687091200}, {"model": null, "disk": "disk/by-path/pci-0000:00:08.0-virtio-pci-virtio5", "name": "vda", "size": 53687091200}], "cpu": {"real": 0, "total": 1, "spec": [{"model": "QEMU Virtual CPU version 1.2.0", "frequency": 1999}]}, "memory": {"slots": 1, "total": 1073741824, "maximum_capacity": 1073741824, "devices": [{"type": "RAM", "size": 1073741824}]}}	64:84:43:00:87:9d	10.108.38.156	node-3.test.domain.local	KVM	\N	0	centos	f	f	provision	\N	2013-12-12 02:03:25.329113	t
\.


--
-- Data for Name: notifications; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY notifications (id, cluster_id, node_id, task_id, topic, message, status, datetime) FROM stdin;
1	\N	\N	\N	done	Master node installation has been completed successfully. Now you can boot new nodes over PXE, they will be discovered and become available for installing OpenStack on them	unread	2013-12-11 23:36:09.851696
2	\N	1	\N	discover	New node is discovered: 1 CPUs / 1.0 GB RAM / 0.161 TB HDD 	unread	2013-12-11 23:45:23.592669
3	\N	2	\N	discover	New node is discovered: 1 CPUs / 1.0 GB RAM / 0.161 TB HDD 	unread	2013-12-11 23:45:34.436667
4	\N	3	\N	discover	New node is discovered: 1 CPUs / 1.0 GB RAM / 0.161 TB HDD 	unread	2013-12-11 23:45:35.757721
5	\N	4	\N	discover	New node is discovered: 1 CPUs / 1.0 GB RAM / 0.161 TB HDD 	unread	2013-12-11 23:45:36.309967
6	\N	5	\N	discover	New node is discovered: 1 CPUs / 1.0 GB RAM / 0.161 TB HDD 	unread	2013-12-11 23:45:43.803323
7	1	\N	\N	error	Deployment has failed. Task aborted	unread	2013-12-12 02:03:33.278429
\.


--
-- Data for Name: pending_node_roles; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY pending_node_roles (id, role, node) FROM stdin;
\.


--
-- Data for Name: plugins; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY plugins (id, type, name, state, version) FROM stdin;
\.


--
-- Data for Name: red_hat_accounts; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY red_hat_accounts (id, username, password, license_type, satellite, activation_key) FROM stdin;
\.


--
-- Data for Name: releases; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY releases (id, name, version, description, operating_system, state, networks_metadata, attributes_metadata, volumes_metadata, modes_metadata, roles_metadata) FROM stdin;
1	Havana on CentOS 6.4	2013.2	This option will install the OpenStack Havana packages using CentOS as a base operating system. With high availability features built in, you are getting a robust, enterprise-grade OpenStack deployment.	CentOS	available	{"nova_network": {"networks": [{"name": "floating", "notation": "ip_ranges", "render_type": "ip_ranges", "assign_vip": false, "netmask": "255.255.255.0", "ip_range": ["172.16.0.128", "172.16.0.254"], "vlan_start": null, "render_addr_mask": null, "cidr": "172.16.0.0/24", "gateway": null, "use_gateway": false}, {"name": "public", "notation": "ip_ranges", "render_type": null, "assign_vip": true, "netmask": "255.255.255.0", "ip_range": ["172.16.0.2", "172.16.0.127"], "vlan_start": null, "render_addr_mask": "public", "cidr": "172.16.0.0/24", "gateway": "172.16.0.1", "use_gateway": true}, {"name": "management", "notation": "cidr", "render_type": "cidr", "assign_vip": true, "netmask": "255.255.255.0", "ip_range": ["192.168.0.2", "192.168.0.254"], "vlan_start": 101, "render_addr_mask": "internal", "cidr": "192.168.0.0/24", "gateway": null, "use_gateway": false}, {"name": "storage", "notation": "cidr", "render_type": "cidr", "assign_vip": false, "netmask": "255.255.255.0", "ip_range": ["192.168.1.2", "192.168.1.254"], "vlan_start": 102, "render_addr_mask": "storage", "cidr": "192.168.1.0/24", "gateway": null, "use_gateway": false}, {"network_size": 256, "name": "fixed", "notation": "cidr", "render_type": "cidr", "assign_vip": false, "netmask": "255.255.0.0", "ip_range": ["10.0.0.2", "10.0.255.254"], "vlan_start": 103, "render_addr_mask": null, "cidr": "10.0.0.0/16", "gateway": "10.0.0.1", "use_gateway": true}]}, "neutron": {"config": {"parameters": {"metadata": {"metadata_proxy_shared_secret": ""}, "keystone": {"admin_user": null, "admin_password": ""}, "amqp": {"username": null, "passwd": "", "hosts": "hostname1:5672, hostname2:5672", "provider": "rabbitmq"}, "database": {"username": null, "passwd": "", "database": null, "port": "3306", "provider": "mysql"}}}, "networks": [{"name": "public", "notation": "ip_ranges", "render_type": null, "assign_vip": true, "use_gateway": true, "vlan_start": null, "render_addr_mask": "public", "pool": ["172.16.0.0/24"], "ip_range": ["172.16.0.2", "172.16.0.126"]}, {"name": "management", "notation": "cidr", "render_type": "cidr", "assign_vip": true, "use_gateway": false, "render_addr_mask": "internal", "pool": ["192.168.0.0/24"]}, {"name": "storage", "notation": "cidr", "render_type": "cidr", "assign_vip": false, "use_gateway": false, "render_addr_mask": "storage", "pool": ["192.168.1.0/24"]}]}}	{"generated": {"quantum_settings": {"metadata": {"metadata_proxy_shared_secret": {"generator": "password"}}, "keystone": {"admin_password": {"generator": "password"}}, "database": {"passwd": {"generator": "password"}}}, "base_syslog": {"syslog_port": {"generator": "identical", "generator_arg": "514"}, "syslog_server": {"generator": "ip", "generator_arg": "admin"}}, "ceilometer": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "metering_secret": {"generator": "password"}}, "heat": {"db_password": {"generator": "password"}, "rabbit_user": {"generator": "password"}, "rabbit_password": {"generator": "password"}}, "nova": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "state_path": "/var/lib/nova"}, "murano": {"db_password": {"generator": "password"}}, "keystone": {"db_password": {"generator": "password"}, "admin_token": {"generator": "password"}}, "rabbit": {"password": {"generator": "password"}}, "mysql": {"root_password": {"generator": "password"}}, "cinder": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "glance": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "cobbler": {"profile": {"generator": "identical", "generator_arg": "centos-x86_64"}}, "swift": {"user_password": {"generator": "password"}}, "savanna": {"db_password": {"generator": "password"}}}, "editable": {"access": {"password": {"weight": 20, "type": "password", "description": "Password for Administrator", "value": "admin", "label": "password"}, "user": {"weight": 10, "type": "text", "description": "Username for Administrator", "value": "admin", "label": "username"}, "tenant": {"weight": 30, "type": "text", "description": "Tenant (project) name for Administrator", "value": "admin", "label": "tenant"}, "email": {"weight": 40, "type": "text", "description": "Email address for Administrator", "value": "admin@example.org", "label": "email"}}, "syslog": {"syslog_port": {"weight": 20, "type": "text", "description": "Remote syslog port", "value": "514", "label": "Port"}, "syslog_transport": {"type": "radio", "values": [{"data": "udp", "description": "", "label": "UDP"}, {"data": "tcp", "description": "", "label": "TCP"}], "weight": 30, "value": "udp", "label": "Syslog transport protocol"}, "syslog_server": {"weight": 10, "type": "text", "description": "Remote syslog hostname", "value": "", "label": "Hostname"}}, "additional_components": {"murano": {"weight": 20, "type": "checkbox", "description": "If selected, Murano component will be installed", "value": false, "label": "Install Murano"}, "ceilometer": {"weight": 40, "type": "checkbox", "description": "If selected, Ceilometer component will be installed", "value": false, "label": "Install Ceilometer"}, "heat": {"weight": 30, "type": "hidden", "description": "", "value": true, "label": ""}, "savanna": {"weight": 10, "type": "checkbox", "description": "If selected, Savanna component will be installed", "value": false, "label": "Install Savanna"}}, "storage": {"volumes_ceph": {"weight": 20, "type": "checkbox", "description": "Requires at least two Ceph-OSD nodes", "value": false, "label": "Ceph RBD for volumes"}, "objects_ceph": {"weight": 40, "type": "checkbox", "description": "Requires at least two Ceph-OSD nodes, incompatible with Swift", "value": false, "label": "Ceph rados-gw for objects"}, "ephemeral_ceph": {"weight": 35, "type": "checkbox", "description": "Requires at least two Ceph-OSD nodes", "value": false, "label": "Ceph RBD for ephemeral volumes"}, "volumes_lvm": {"weight": 10, "type": "checkbox", "description": "Requires at least one Cinder node", "value": false, "label": "Cinder LVM over iSCSI for volumes"}, "osd_pool_size": {"weight": 70, "type": "text", "description": "Defines the number of object replicas in Ceph pools. At least that many Ceph-OSD nodes must be deployed.", "value": "2", "label": "Ceph object replication factor"}, "images_ceph": {"weight": 30, "type": "checkbox", "description": "Requires at least two Ceph-OSD nodes", "value": false, "label": "Ceph RBD for images"}}, "common": {"auto_assign_floating_ip": {"weight": 40, "type": "checkbox", "description": "If selected, OpenStack will automatically assign a floating IP to a new instance", "value": false, "label": "Auto assign floating IP"}, "use_cow_images": {"weight": 50, "type": "checkbox", "description": "For most cases you will want qcow format. If it's disabled, raw image format will be used to run VMs. OpenStack with raw format currently does not support snapshotting.", "value": true, "label": "Use qcow format for images"}, "auth_key": {"weight": 70, "type": "text", "description": "Public key(s) to include in authorized_keys on deployed nodes", "value": "", "label": "Public Key"}, "compute_scheduler_driver": {"type": "radio", "values": [{"data": "nova.scheduler.filter_scheduler.FilterScheduler", "description": "Currently the most advanced OpenStack scheduler. See the OpenStack documentation for details.", "label": "Filter scheduler"}, {"data": "nova.scheduler.simple.SimpleScheduler", "description": "This is 'naive' scheduler which tries to find the least loaded host", "label": "Simple scheduler"}], "weight": 40, "value": "nova.scheduler.filter_scheduler.FilterScheduler", "label": "Scheduler driver"}, "libvirt_type": {"type": "radio", "values": [{"data": "kvm", "description": "Choose this type of hypervisor if you run OpenStack on hardware", "label": "KVM"}, {"data": "qemu", "description": "Choose this type of hypervisor if you run OpenStack on virtual hosts.", "label": "QEMU"}], "weight": 30, "value": "qemu", "label": "Hypervisor type"}, "start_guests_on_host_boot": {"weight": 60, "type": "checkbox", "description": "Whether to (re-)start guests when the host reboots. If enabled, this option causes guests assigned to the host to be unconditionally restarted when nova-compute starts. If the guest is found to be stopped, it starts. If it is found to be running, it reboots.", "value": true, "label": "Start guests on host boot"}, "vlan_splinters": {"weight": 45, "type": "checkbox", "description": "Use VLAN splinters Open vSwitch method on necessary network interfaces", "value": false, "label": "Enable 'OVS VLAN splinters' feature (Neutron only)"}, "debug": {"weight": 20, "type": "checkbox", "description": "Debug logging mode provides more information, but requires more disk space.", "value": false, "label": "OpenStack debug logging"}}}}	{"volumes_roles_mapping": {"ceph-osd": [{"id": "os", "allocate_size": "min"}, {"id": "cephjournal", "allocate_size": "min"}, {"id": "ceph", "allocate_size": "full-disk"}], "controller": [{"id": "os", "allocate_size": "min"}, {"id": "image", "allocate_size": "all"}], "other": [{"id": "os", "allocate_size": "all"}], "compute": [{"id": "os", "allocate_size": "min"}, {"id": "vm", "allocate_size": "all"}], "cinder": [{"id": "os", "allocate_size": "min"}, {"id": "cinder", "allocate_size": "all"}]}, "volumes": [{"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "Ceph", "mount": "none", "label": "Ceph", "min_size": {"generator": "calc_min_ceph_size"}, "type": "partition", "id": "ceph", "file_system": "none"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "Ceph Journal", "mount": "none", "label": "Ceph Journal", "min_size": {"generator": "calc_min_ceph_journal_size"}, "type": "partition", "id": "cephjournal", "file_system": "none"}, {"min_size": {"generator": "calc_min_os_size"}, "type": "vg", "id": "os", "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": {"generator": "calc_total_root_vg"}}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": {"generator": "calc_swap_size"}}], "label": "Base System"}, {"min_size": {"generator": "calc_min_vm_size"}, "type": "vg", "id": "vm", "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": {"generator_args": ["vm"], "generator": "calc_total_vg"}}], "label": "Virtual Storage"}, {"min_size": {"generator": "calc_min_glance_size"}, "type": "vg", "id": "image", "volumes": [{"mount": "/var/lib/glance", "type": "lv", "name": "glance", "file_system": "xfs", "size": {"generator_args": ["image"], "generator": "calc_total_vg"}}], "label": "Image Storage"}, {"min_size": {"generator": "calc_min_cinder_size"}, "type": "vg", "id": "cinder", "volumes": [], "label": "Cinder"}]}	{"ha_compact": {"description": "This configuration requires multiple OpenStack controllers (3+) and provides high availability for all OpenStack components, including MySQL/Galera, RabbitMQ, and Cinder, as well as OpenStack API services. Select this configuration if you want to build a production-grade OpenStack cloud with 6 nodes or more."}, "multinode": {"description": "In this configuration the OpenStack controller is deployed separately from the compute and cinder nodes. This mode assumes the presence of 1 controller node and 1 or more compute/cinder nodes. You can add more nodes to scale your cloud later."}}	{"cinder": {"name": "Cinder", "description": "Cinder provides an infrastructure for managing block storage volumes in OpenStack.  Block storage can be used for database storage, expandable file systems, or providing a server with access to raw block level storage."}, "controller": {"conflicts": ["compute"], "name": "Controller", "description": "The controller initiates orchestration activities and provides an external API.  Other components like Glance (image storage), Keystone (identity management), Horizon (OpenStack dashboard) and Nova-Scheduler are installed on the controller as well."}, "compute": {"conflicts": ["controller"], "name": "Compute", "description": "A compute node creates, manages and terminates virtual machine instances."}, "ceph-osd": {"name": "Ceph OSD", "description": "Ceph OSD is the object storage daemon for the Ceph distributed file system.  It is responsible for storing objects on a local file system and providing access to them over the network, for example to Glance."}}
2	RHOS 3.0 for RHEL 6.4	2013.1.2	This option will install the Red Hat Enterprise Linux OpenStack Platform using RHEL as a base operating system.  With high availability features built in, you are getting a robust enterprise-grade OpenStack deployment.	RHEL	not_available	{"nova_network": {"networks": [{"name": "floating", "notation": "ip_ranges", "render_type": "ip_ranges", "assign_vip": false, "netmask": "255.255.255.0", "ip_range": ["172.16.0.128", "172.16.0.254"], "vlan_start": null, "render_addr_mask": null, "cidr": "172.16.0.0/24", "gateway": null, "use_gateway": false}, {"name": "public", "notation": "ip_ranges", "render_type": null, "assign_vip": true, "netmask": "255.255.255.0", "ip_range": ["172.16.0.2", "172.16.0.127"], "vlan_start": null, "render_addr_mask": "public", "cidr": "172.16.0.0/24", "gateway": "172.16.0.1", "use_gateway": true}, {"name": "management", "notation": "cidr", "render_type": "cidr", "assign_vip": true, "netmask": "255.255.255.0", "ip_range": ["192.168.0.2", "192.168.0.254"], "vlan_start": 101, "render_addr_mask": "internal", "cidr": "192.168.0.0/24", "gateway": null, "use_gateway": false}, {"name": "storage", "notation": "cidr", "render_type": "cidr", "assign_vip": false, "netmask": "255.255.255.0", "ip_range": ["192.168.1.2", "192.168.1.254"], "vlan_start": 102, "render_addr_mask": "storage", "cidr": "192.168.1.0/24", "gateway": null, "use_gateway": false}, {"network_size": 256, "name": "fixed", "notation": "cidr", "render_type": "cidr", "assign_vip": false, "netmask": "255.255.0.0", "ip_range": ["10.0.0.2", "10.0.255.254"], "vlan_start": 103, "render_addr_mask": null, "cidr": "10.0.0.0/16", "gateway": "10.0.0.1", "use_gateway": true}]}}	{"generated": {"base_syslog": {"syslog_port": {"generator": "identical", "generator_arg": "514"}, "syslog_server": {"generator": "ip", "generator_arg": "admin"}}, "storage": {"volumes_ceph": false, "objects_ceph": false, "ephemeral_ceph": false, "volumes_lvm": true, "osd_pool_size": "2", "images_ceph": false}, "murano": {"enabled": false}, "nova": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "state_path": "/var/lib/nova"}, "heat": {"enabled": false}, "keystone": {"db_password": {"generator": "password"}, "admin_token": {"generator": "password"}}, "rabbit": {"password": {"generator": "password"}}, "mysql": {"root_password": {"generator": "password"}}, "cinder": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "glance": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "cobbler": {"profile": {"generator": "identical", "generator_arg": "rhel-x86_64"}}, "swift": {"user_password": {"generator": "password"}}, "savanna": {"enabled": false}}, "editable": {"access": {"password": {"weight": 20, "type": "password", "description": "Password for Administrator", "value": "admin", "label": "password"}, "user": {"weight": 10, "type": "text", "description": "Username for Administrator", "value": "admin", "label": "username"}, "tenant": {"weight": 30, "type": "text", "description": "Tenant (project) name for Administrator", "value": "admin", "label": "tenant"}, "email": {"weight": 40, "type": "text", "description": "Email address for Administrator", "value": "admin@example.org", "label": "email"}}, "syslog": {"syslog_port": {"weight": 20, "type": "text", "description": "Remote syslog port", "value": "514", "label": "Port"}, "syslog_transport": {"type": "radio", "values": [{"data": "udp", "description": "", "label": "UDP"}, {"data": "tcp", "description": "", "label": "TCP"}], "weight": 30, "value": "udp", "label": "Syslog transport protocol"}, "syslog_server": {"weight": 10, "type": "text", "description": "Remote syslog hostname", "value": "", "label": "Hostname"}}, "storage": {"volumes_lvm": {"weight": 10, "type": "checkbox", "description": "Requires at least one Cinder node", "value": false, "label": "Cinder LVM over iSCSI for volumes"}}, "common": {"auto_assign_floating_ip": {"weight": 40, "type": "checkbox", "description": "If selected, OpenStack will automatically assign a floating IP to a new instance", "value": false, "label": "Auto assign floating IP"}, "use_cow_images": {"weight": 50, "type": "checkbox", "description": "For most cases you will want qcow format. If it's disabled, raw image format will be used to run VMs. OpenStack with raw format currently does not support snapshotting.", "value": true, "label": "Use qcow format for images"}, "auth_key": {"weight": 80, "type": "text", "description": "Public key(s) to include in authorized_keys on deployed nodes", "value": "", "label": "Public Key"}, "compute_scheduler_driver": {"type": "radio", "values": [{"data": "nova.scheduler.filter_scheduler.FilterScheduler", "description": "Currently the most advanced OpenStack scheduler. See the OpenStack documentation for details.", "label": "Filter scheduler"}, {"data": "nova.scheduler.simple.SimpleScheduler", "description": "This is 'naive' scheduler which tries to find the least loaded host", "label": "Simple scheduler"}], "weight": 60, "value": "nova.scheduler.filter_scheduler.FilterScheduler", "label": "Scheduler driver"}, "libvirt_type": {"type": "radio", "values": [{"data": "kvm", "description": "Choose this type of hypervisor if you run OpenStack on hardware", "label": "KVM"}, {"data": "qemu", "description": "Choose this type of hypervisor if you run OpenStack on virtual hosts.", "label": "QEMU"}], "weight": 30, "value": "qemu", "label": "Hypervisor type"}, "start_guests_on_host_boot": {"weight": 70, "type": "checkbox", "description": "Whether to (re-)start guests when the host reboots. If enabled, this option causes guests assigned to the host to be unconditionally restarted when nova-compute starts. If the guest is found to be stopped, it starts. If it is found to be running, it reboots.", "value": true, "label": "Start guests on host boot"}, "debug": {"weight": 20, "type": "checkbox", "description": "Debug logging mode provides more information, but requires more disk space.", "value": false, "label": "OpenStack debug logging"}}}}	{"volumes_roles_mapping": {"cinder": [{"id": "os", "allocate_size": "min"}, {"id": "cinder", "allocate_size": "all"}], "controller": [{"id": "os", "allocate_size": "min"}, {"id": "image", "allocate_size": "all"}], "other": [{"id": "os", "allocate_size": "all"}], "compute": [{"id": "os", "allocate_size": "min"}, {"id": "vm", "allocate_size": "all"}]}, "volumes": [{"min_size": {"generator": "calc_min_os_size"}, "type": "vg", "id": "os", "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": {"generator": "calc_total_root_vg"}}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": {"generator": "calc_swap_size"}}], "label": "Base System"}, {"min_size": {"generator": "calc_min_vm_size"}, "type": "vg", "id": "vm", "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": {"generator_args": ["vm"], "generator": "calc_total_vg"}}], "label": "Virtual Storage"}, {"min_size": {"generator": "calc_min_glance_size"}, "type": "vg", "id": "image", "volumes": [{"mount": "/var/lib/glance", "type": "lv", "name": "glance", "file_system": "xfs", "size": {"generator_args": ["image"], "generator": "calc_total_vg"}}], "label": "Image Storage"}, {"min_size": {"generator": "calc_min_cinder_size"}, "type": "vg", "id": "cinder", "volumes": [], "label": "Cinder"}]}	{"ha_compact": {"description": "This configuration requires multiple OpenStack controllers (3+) and provides high availability for all OpenStack components, including MySQL, QPID, and Cinder, as well as OpenStack API services. Select this configuration if you want to build a production-grade OpenStack cloud with 6 nodes or more."}, "multinode": {"description": "In this configuration the OpenStack controller is deployed separately from the compute and cinder nodes. This mode assumes the presence of 1 controller node and 1 or more compute/cinder nodes. You can add more nodes to scale your cloud later."}}	{"cinder": {"name": "Cinder", "description": "Cinder provides an infrastructure for managing block storage volumes in OpenStack.  Block storage can be used for database storage, expandable file systems, or providing a server with access to raw block level storage."}, "controller": {"conflicts": ["compute"], "name": "Controller", "description": "The controller initiates orchestration activities and provides an external API.  Other components like Glance (image storage), Keystone (identity management), Horizon (OpenStack dashboard) and Nova-Scheduler are installed on the controller as well."}, "compute": {"conflicts": ["controller"], "name": "Compute", "description": "A compute node creates, manages and terminates virtual machine instances."}}
3	Havana on Ubuntu 12.04	2013.2	This option will install the OpenStack Havana packages using Ubuntu as a base operating system. With high availability features built in, you are getting a robust, enterprise-grade OpenStack deployment.	Ubuntu	available	{"nova_network": {"networks": [{"name": "floating", "notation": "ip_ranges", "render_type": "ip_ranges", "assign_vip": false, "netmask": "255.255.255.0", "ip_range": ["172.16.0.128", "172.16.0.254"], "vlan_start": null, "render_addr_mask": null, "cidr": "172.16.0.0/24", "gateway": null, "use_gateway": false}, {"name": "public", "notation": "ip_ranges", "render_type": null, "assign_vip": true, "netmask": "255.255.255.0", "ip_range": ["172.16.0.2", "172.16.0.127"], "vlan_start": null, "render_addr_mask": "public", "cidr": "172.16.0.0/24", "gateway": "172.16.0.1", "use_gateway": true}, {"name": "management", "notation": "cidr", "render_type": "cidr", "assign_vip": true, "netmask": "255.255.255.0", "ip_range": ["192.168.0.2", "192.168.0.254"], "vlan_start": 101, "render_addr_mask": "internal", "cidr": "192.168.0.0/24", "gateway": null, "use_gateway": false}, {"name": "storage", "notation": "cidr", "render_type": "cidr", "assign_vip": false, "netmask": "255.255.255.0", "ip_range": ["192.168.1.2", "192.168.1.254"], "vlan_start": 102, "render_addr_mask": "storage", "cidr": "192.168.1.0/24", "gateway": null, "use_gateway": false}, {"network_size": 256, "name": "fixed", "notation": "cidr", "render_type": "cidr", "assign_vip": false, "netmask": "255.255.0.0", "ip_range": ["10.0.0.2", "10.0.255.254"], "vlan_start": 103, "render_addr_mask": null, "cidr": "10.0.0.0/16", "gateway": "10.0.0.1", "use_gateway": true}]}, "neutron": {"config": {"parameters": {"metadata": {"metadata_proxy_shared_secret": ""}, "keystone": {"admin_user": null, "admin_password": ""}, "amqp": {"username": null, "passwd": "", "hosts": "hostname1:5672, hostname2:5672", "provider": "rabbitmq"}, "database": {"username": null, "passwd": "", "database": null, "port": "3306", "provider": "mysql"}}}, "networks": [{"name": "public", "notation": "ip_ranges", "render_type": null, "assign_vip": true, "use_gateway": true, "vlan_start": null, "render_addr_mask": "public", "pool": ["172.16.0.0/24"], "ip_range": ["172.16.0.2", "172.16.0.126"]}, {"name": "management", "notation": "cidr", "render_type": "cidr", "assign_vip": true, "use_gateway": false, "render_addr_mask": "internal", "pool": ["192.168.0.0/24"]}, {"name": "storage", "notation": "cidr", "render_type": "cidr", "assign_vip": false, "use_gateway": false, "render_addr_mask": "storage", "pool": ["192.168.1.0/24"]}]}}	{"generated": {"quantum_settings": {"metadata": {"metadata_proxy_shared_secret": {"generator": "password"}}, "keystone": {"admin_password": {"generator": "password"}}, "database": {"passwd": {"generator": "password"}}}, "base_syslog": {"syslog_port": {"generator": "identical", "generator_arg": "514"}, "syslog_server": {"generator": "ip", "generator_arg": "admin"}}, "ceilometer": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "metering_secret": {"generator": "password"}}, "heat": {"db_password": {"generator": "password"}, "rabbit_user": {"generator": "password"}, "rabbit_password": {"generator": "password"}}, "cobbler": {"profile": {"generator": "identical", "generator_arg": "ubuntu_1204_x86_64"}}, "nova": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "state_path": "/var/lib/nova"}, "murano": {"db_password": {"generator": "password"}}, "keystone": {"db_password": {"generator": "password"}, "admin_token": {"generator": "password"}}, "rabbit": {"password": {"generator": "password"}}, "mysql": {"root_password": {"generator": "password"}}, "cinder": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "glance": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "swift": {"user_password": {"generator": "password"}}, "savanna": {"db_password": {"generator": "password"}}}, "editable": {"access": {"password": {"weight": 20, "type": "password", "description": "Password for Administrator", "value": "admin", "label": "password"}, "user": {"weight": 10, "type": "text", "description": "Username for Administrator", "value": "admin", "label": "username"}, "tenant": {"weight": 30, "type": "text", "description": "Tenant (project) name for Administrator", "value": "admin", "label": "tenant"}, "email": {"weight": 40, "type": "text", "description": "Email address for Administrator", "value": "admin@example.org", "label": "email"}}, "syslog": {"syslog_port": {"weight": 20, "type": "text", "description": "Remote syslog port", "value": "514", "label": "Port"}, "syslog_transport": {"type": "radio", "values": [{"data": "udp", "description": "", "label": "UDP"}, {"data": "tcp", "description": "", "label": "TCP"}], "weight": 30, "value": "udp", "label": "Syslog transport protocol"}, "syslog_server": {"weight": 10, "type": "text", "description": "Remote syslog hostname", "value": "", "label": "Hostname"}}, "additional_components": {"murano": {"weight": 20, "type": "checkbox", "description": "If selected, Murano component will be installed", "value": false, "label": "Install Murano"}, "ceilometer": {"weight": 40, "type": "checkbox", "description": "If selected, Ceilometer component will be installed", "value": false, "label": "Install Ceilometer"}, "heat": {"weight": 30, "type": "hidden", "description": "", "value": true, "label": ""}, "savanna": {"weight": 10, "type": "checkbox", "description": "If selected, Savanna component will be installed", "value": false, "label": "Install Savanna"}}, "storage": {"volumes_ceph": {"weight": 20, "type": "checkbox", "description": "Requires at least two Ceph-OSD nodes", "value": false, "label": "Ceph RBD for volumes"}, "objects_ceph": {"weight": 40, "type": "checkbox", "description": "Requires at least two Ceph-OSD nodes, incompatible with Swift", "value": false, "label": "Ceph rados-gw for objects"}, "ephemeral_ceph": {"weight": 35, "type": "checkbox", "description": "Requires at least two Ceph-OSD nodes", "value": false, "label": "Ceph RBD for ephemeral volumes"}, "volumes_lvm": {"weight": 10, "type": "checkbox", "description": "Requires at least one Cinder node", "value": false, "label": "Cinder LVM over iSCSI for volumes"}, "osd_pool_size": {"weight": 70, "type": "text", "description": "Defines the number of object replicas in Ceph pools. At least that many Ceph-OSD nodes must be deployed.", "value": "2", "label": "Ceph object replication factor"}, "images_ceph": {"weight": 30, "type": "checkbox", "description": "Requires at least two Ceph-OSD nodes", "value": false, "label": "Ceph RBD for images"}}, "common": {"auto_assign_floating_ip": {"weight": 40, "type": "checkbox", "description": "If selected, OpenStack will automatically assign a floating IP to a new instance", "value": false, "label": "Auto assign floating IP"}, "use_cow_images": {"weight": 50, "type": "checkbox", "description": "For most cases you will want qcow format. If it's disabled, raw image format will be used to run VMs. OpenStack with raw format currently does not support snapshotting.", "value": true, "label": "Use qcow format for images"}, "auth_key": {"weight": 80, "type": "text", "description": "Public key(s) to include in authorized_keys on deployed nodes", "value": "", "label": "Public Key"}, "compute_scheduler_driver": {"type": "radio", "values": [{"data": "nova.scheduler.filter_scheduler.FilterScheduler", "description": "Currently the most advanced OpenStack scheduler. See the OpenStack documentation for details.", "label": "Filter scheduler"}, {"data": "nova.scheduler.simple.SimpleScheduler", "description": "This is 'naive' scheduler which tries to find the least loaded host", "label": "Simple scheduler"}], "weight": 70, "value": "nova.scheduler.filter_scheduler.FilterScheduler", "label": "Scheduler driver"}, "libvirt_type": {"type": "radio", "values": [{"data": "kvm", "description": "Choose this type of hypervisor if you run OpenStack on hardware", "label": "KVM"}, {"data": "qemu", "description": "Choose this type of hypervisor if you run OpenStack on virtual hosts.", "label": "QEMU"}], "weight": 30, "value": "qemu", "label": "Hypervisor type"}, "start_guests_on_host_boot": {"weight": 60, "type": "checkbox", "description": "Whether to (re-)start guests when the host reboots. If enabled, this option causes guests assigned to the host to be unconditionally restarted when nova-compute starts. If the guest is found to be stopped, it starts. If it is found to be running, it reboots.", "value": true, "label": "Start guests on host boot"}, "vlan_splinters": {"weight": 45, "type": "checkbox", "description": "Use VLAN splinters Open vSwitch method on necessary network interfaces", "value": false, "label": "Enable 'OVS VLAN splinters' feature (Neutron only)"}, "debug": {"weight": 20, "type": "checkbox", "description": "Debug logging mode provides more information, but requires more disk space.", "value": false, "label": "OpenStack debug logging"}}}}	{"volumes_roles_mapping": {"ceph-osd": [{"id": "os", "allocate_size": "min"}, {"id": "cephjournal", "allocate_size": "min"}, {"id": "ceph", "allocate_size": "full-disk"}], "controller": [{"id": "os", "allocate_size": "min"}, {"id": "image", "allocate_size": "all"}], "other": [{"id": "os", "allocate_size": "all"}], "compute": [{"id": "os", "allocate_size": "min"}, {"id": "vm", "allocate_size": "all"}], "cinder": [{"id": "os", "allocate_size": "min"}, {"id": "cinder", "allocate_size": "all"}]}, "volumes": [{"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "Ceph", "mount": "none", "label": "Ceph", "min_size": {"generator": "calc_min_ceph_size"}, "type": "partition", "id": "ceph", "file_system": "none"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "Ceph Journal", "mount": "none", "label": "Ceph Journal", "min_size": {"generator": "calc_min_ceph_journal_size"}, "type": "partition", "id": "cephjournal", "file_system": "none"}, {"min_size": {"generator": "calc_min_os_size"}, "type": "vg", "id": "os", "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": {"generator": "calc_total_root_vg"}}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": {"generator": "calc_swap_size"}}], "label": "Base System"}, {"min_size": {"generator": "calc_min_vm_size"}, "type": "vg", "id": "vm", "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": {"generator_args": ["vm"], "generator": "calc_total_vg"}}], "label": "Virtual Storage"}, {"min_size": {"generator": "calc_min_glance_size"}, "type": "vg", "id": "image", "volumes": [{"mount": "/var/lib/glance", "type": "lv", "name": "glance", "file_system": "xfs", "size": {"generator_args": ["image"], "generator": "calc_total_vg"}}], "label": "Image Storage"}, {"min_size": {"generator": "calc_min_cinder_size"}, "type": "vg", "id": "cinder", "volumes": [], "label": "Cinder"}]}	{"ha_compact": {"description": "This configuration requires multiple OpenStack controllers (3+) and provides high availability for all OpenStack components, including MySQL/Galera, RabbitMQ, and Cinder, as well as OpenStack API services. Select this configuration if you want to build a production-grade OpenStack cloud with 6 nodes or more."}, "multinode": {"description": "In this configuration the OpenStack controller is deployed separately from the compute and cinder nodes. This mode assumes the presence of 1 controller node and 1 or more compute/cinder nodes. You can add more nodes to scale your cloud later."}}	{"cinder": {"name": "Cinder", "description": "Cinder provides an infrastructure for managing block storage volumes in OpenStack.  Block storage can be used for database storage, expandable file systems, or providing a server with access to raw block level storage."}, "controller": {"conflicts": ["compute"], "name": "Controller", "description": "The controller initiates orchestration activities and provides an external API.  Other components like Glance (image storage), Keystone (identity management), Horizon (OpenStack dashboard) and Nova-Scheduler are installed on the controller as well."}, "compute": {"conflicts": ["controller"], "name": "Compute", "description": "A compute node creates, manages and terminates virtual machine instances."}, "ceph-osd": {"name": "Ceph OSD", "description": "Ceph OSD is the object storage daemon for the Ceph distributed file system.  It is responsible for storing objects on a local file system and providing access to them over the network, for example to Glance."}}
\.


--
-- Data for Name: roles; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY roles (id, release_id, name) FROM stdin;
1	1	cinder
2	1	controller
3	1	compute
4	1	ceph-osd
5	2	cinder
6	2	controller
7	2	compute
8	3	cinder
9	3	controller
10	3	compute
11	3	ceph-osd
\.


--
-- Data for Name: tasks; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY tasks (id, cluster_id, uuid, name, message, status, progress, cache, result, parent_id, weight) FROM stdin;
1	1	d7f47010-b3ba-4db4-82d5-dd4f72f02b40	check_networks		ready	100	{}	{}	\N	1
5	1	902ccab8-03e2-4bff-9b00-5545a2e743a6	provision	Nodes failed to reboot: ["node-1", "node-2", "node-3"]	error	100	{"respond_to": "provision_resp", "method": "provision", "args": {"task_uuid": "902ccab8-03e2-4bff-9b00-5545a2e743a6", "provisioning_info": {"engine": {"url": "http://localhost/cobbler_api", "username": "cobbler", "password": "cobbler"}, "nodes": [{"profile": "ubuntu_1204_x86_64", "name_servers_search": "\\"test.domain.local\\"", "uid": "1", "interfaces": {"eth4": {"ip_address": "10.108.38.5", "netmask": "255.255.255.0", "static": "0", "mac_address": "64:28:0e:aa:5a:3b"}, "eth3": {"ip_address": "10.108.38.4", "netmask": "255.255.255.0", "static": "0", "mac_address": "64:7b:b2:02:31:82"}, "eth2": {"ip_address": "10.108.38.7", "netmask": "255.255.255.0", "static": "0", "mac_address": "64:bd:ff:ed:16:a6"}, "eth1": {"ip_address": "10.108.38.6", "netmask": "255.255.255.0", "static": "0", "mac_address": "64:e0:2b:3b:33:6d"}, "eth0": {"ip_address": "10.108.38.3", "netmask": "255.255.255.0", "dns_name": "node-1.test.domain.local", "static": "0", "mac_address": "64:90:fc:4a:c1:cf"}}, "interfaces_extra": {"eth4": {"onboot": "no", "peerdns": "no"}, "eth3": {"onboot": "no", "peerdns": "no"}, "eth2": {"onboot": "no", "peerdns": "no"}, "eth1": {"onboot": "no", "peerdns": "no"}, "eth0": {"onboot": "yes", "peerdns": "no"}}, "power_type": "ssh", "power_user": "root", "kernel_options": {"udevrules": "64:28:0e:aa:5a:3b_eth4,64:7b:b2:02:31:82_eth3,64:bd:ff:ed:16:a6_eth2,64:e0:2b:3b:33:6d_eth1,64:90:fc:4a:c1:cf_eth0", "netcfg/choose_interface": "eth0"}, "power_address": "10.108.38.229", "name_servers": "\\"10.108.38.2\\"", "ks_meta": {"mco_enable": 1, "mco_vhost": "mcollective", "mco_pskey": "unset", "ks_spaces": [{"name": "vda", "free_space": 50572, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 17472, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"size": 33228, "type": "pv", "lvm_meta_size": 64, "vg": "cinder"}], "type": "disk", "id": "disk/by-path/pci-0000:00:08.0-virtio-pci-virtio5", "size": 51200}, {"name": "vdb", "free_space": 50572, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"size": 50636, "type": "pv", "lvm_meta_size": 64, "vg": "cinder"}], "type": "disk", "id": "disk/by-path/pci-0000:00:09.0-virtio-pci-virtio6", "size": 51200}, {"name": "vdc", "free_space": 50572, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"size": 50636, "type": "pv", "lvm_meta_size": 64, "vg": "cinder"}], "type": "disk", "id": "disk/by-path/pci-0000:00:0a.0-virtio-pci-virtio7", "size": 51200}, {"_allocate_size": "min", "label": "Base System", "min_size": 17408, "volumes": [{"mount": "/", "size": 15360, "type": "lv", "name": "root", "file_system": "ext4"}, {"mount": "swap", "size": 2048, "type": "lv", "name": "swap", "file_system": "swap"}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Cinder", "min_size": 1536, "volumes": [], "type": "vg", "id": "cinder"}], "mco_user": "mcollective", "puppet_enable": 0, "install_log_2_syslog": 1, "mco_password": "marionette", "puppet_auto_setup": 1, "puppet_master": "nailgun.test.domain.local", "mco_auto_setup": 1, "auth_key": "\\"\\"", "mco_connector": "rabbitmq", "mco_host": "10.108.38.2"}, "name": "node-1", "hostname": "node-1.test.domain.local", "power_pass": "/root/.ssh/bootstrap.rsa", "netboot_enabled": "1"}, {"profile": "ubuntu_1204_x86_64", "name_servers_search": "\\"test.domain.local\\"", "uid": "2", "interfaces": {"eth4": {"ip_address": "10.108.38.12", "netmask": "255.255.255.0", "static": "0", "mac_address": "64:15:d0:74:36:a4"}, "eth3": {"ip_address": "10.108.38.11", "netmask": "255.255.255.0", "static": "0", "mac_address": "64:5e:a3:0e:d6:89"}, "eth2": {"ip_address": "10.108.38.10", "netmask": "255.255.255.0", "static": "0", "mac_address": "64:35:90:a8:6d:7c"}, "eth1": {"ip_address": "10.108.38.9", "netmask": "255.255.255.0", "static": "0", "mac_address": "64:bd:7d:3e:aa:bc"}, "eth0": {"ip_address": "10.108.38.8", "netmask": "255.255.255.0", "dns_name": "node-2.test.domain.local", "static": "0", "mac_address": "64:b4:cf:4c:e2:3d"}}, "interfaces_extra": {"eth4": {"onboot": "no", "peerdns": "no"}, "eth3": {"onboot": "no", "peerdns": "no"}, "eth2": {"onboot": "no", "peerdns": "no"}, "eth1": {"onboot": "no", "peerdns": "no"}, "eth0": {"onboot": "yes", "peerdns": "no"}}, "power_type": "ssh", "power_user": "root", "kernel_options": {"udevrules": "64:15:d0:74:36:a4_eth4,64:5e:a3:0e:d6:89_eth3,64:35:90:a8:6d:7c_eth2,64:bd:7d:3e:aa:bc_eth1,64:b4:cf:4c:e2:3d_eth0", "netcfg/choose_interface": "eth0"}, "power_address": "10.108.38.182", "name_servers": "\\"10.108.38.2\\"", "ks_meta": {"mco_enable": 1, "mco_vhost": "mcollective", "mco_pskey": "unset", "ks_spaces": [{"name": "vda", "free_space": 50572, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 17472, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"size": 33228, "type": "pv", "lvm_meta_size": 64, "vg": "image"}], "type": "disk", "id": "disk/by-path/pci-0000:00:08.0-virtio-pci-virtio5", "size": 51200}, {"name": "vdb", "free_space": 50572, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"size": 50636, "type": "pv", "lvm_meta_size": 64, "vg": "image"}], "type": "disk", "id": "disk/by-path/pci-0000:00:09.0-virtio-pci-virtio6", "size": 51200}, {"name": "vdc", "free_space": 50572, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"size": 50636, "type": "pv", "lvm_meta_size": 64, "vg": "image"}], "type": "disk", "id": "disk/by-path/pci-0000:00:0a.0-virtio-pci-virtio7", "size": 51200}, {"_allocate_size": "min", "label": "Base System", "min_size": 17408, "volumes": [{"mount": "/", "size": 15360, "type": "lv", "name": "root", "file_system": "ext4"}, {"mount": "swap", "size": 2048, "type": "lv", "name": "swap", "file_system": "swap"}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Image Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/glance", "size": 134308, "type": "lv", "name": "glance", "file_system": "xfs"}], "type": "vg", "id": "image"}], "mco_user": "mcollective", "puppet_enable": 0, "install_log_2_syslog": 1, "mco_password": "marionette", "puppet_auto_setup": 1, "puppet_master": "nailgun.test.domain.local", "mco_auto_setup": 1, "auth_key": "\\"\\"", "mco_connector": "rabbitmq", "mco_host": "10.108.38.2"}, "name": "node-2", "hostname": "node-2.test.domain.local", "power_pass": "/root/.ssh/bootstrap.rsa", "netboot_enabled": "1"}, {"profile": "ubuntu_1204_x86_64", "name_servers_search": "\\"test.domain.local\\"", "uid": "3", "interfaces": {"eth4": {"ip_address": "10.108.38.13", "netmask": "255.255.255.0", "static": "0", "mac_address": "64:f5:a9:49:79:72"}, "eth3": {"ip_address": "10.108.38.17", "netmask": "255.255.255.0", "static": "0", "mac_address": "64:56:c9:76:c0:ed"}, "eth2": {"ip_address": "10.108.38.16", "netmask": "255.255.255.0", "static": "0", "mac_address": "64:86:01:75:fc:6c"}, "eth1": {"ip_address": "10.108.38.15", "netmask": "255.255.255.0", "static": "0", "mac_address": "64:5a:66:69:0a:56"}, "eth0": {"ip_address": "10.108.38.14", "netmask": "255.255.255.0", "dns_name": "node-3.test.domain.local", "static": "0", "mac_address": "64:84:43:00:87:9d"}}, "interfaces_extra": {"eth4": {"onboot": "no", "peerdns": "no"}, "eth3": {"onboot": "no", "peerdns": "no"}, "eth2": {"onboot": "no", "peerdns": "no"}, "eth1": {"onboot": "no", "peerdns": "no"}, "eth0": {"onboot": "yes", "peerdns": "no"}}, "power_type": "ssh", "power_user": "root", "kernel_options": {"udevrules": "64:f5:a9:49:79:72_eth4,64:56:c9:76:c0:ed_eth3,64:86:01:75:fc:6c_eth2,64:5a:66:69:0a:56_eth1,64:84:43:00:87:9d_eth0", "netcfg/choose_interface": "eth0"}, "power_address": "10.108.38.156", "name_servers": "\\"10.108.38.2\\"", "ks_meta": {"mco_enable": 1, "mco_vhost": "mcollective", "mco_pskey": "unset", "ks_spaces": [{"name": "vda", "free_space": 50572, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 17472, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"size": 33228, "type": "pv", "lvm_meta_size": 64, "vg": "vm"}], "type": "disk", "id": "disk/by-path/pci-0000:00:08.0-virtio-pci-virtio5", "size": 51200}, {"name": "vdb", "free_space": 50572, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"size": 50636, "type": "pv", "lvm_meta_size": 64, "vg": "vm"}], "type": "disk", "id": "disk/by-path/pci-0000:00:09.0-virtio-pci-virtio6", "size": 51200}, {"name": "vdc", "free_space": 50572, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"size": 50636, "type": "pv", "lvm_meta_size": 64, "vg": "vm"}], "type": "disk", "id": "disk/by-path/pci-0000:00:0a.0-virtio-pci-virtio7", "size": 51200}, {"_allocate_size": "min", "label": "Base System", "min_size": 17408, "volumes": [{"mount": "/", "size": 15360, "type": "lv", "name": "root", "file_system": "ext4"}, {"mount": "swap", "size": 2048, "type": "lv", "name": "swap", "file_system": "swap"}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Virtual Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/nova", "size": 134308, "type": "lv", "name": "nova", "file_system": "xfs"}], "type": "vg", "id": "vm"}], "mco_user": "mcollective", "puppet_enable": 0, "install_log_2_syslog": 1, "mco_password": "marionette", "puppet_auto_setup": 1, "puppet_master": "nailgun.test.domain.local", "mco_auto_setup": 1, "auth_key": "\\"\\"", "mco_connector": "rabbitmq", "mco_host": "10.108.38.2"}, "name": "node-3", "hostname": "node-3.test.domain.local", "power_pass": "/root/.ssh/bootstrap.rsa", "netboot_enabled": "1"}, {"profile": "ubuntu_1204_x86_64", "name_servers_search": "\\"test.domain.local\\"", "uid": "4", "interfaces": {"eth4": {"ip_address": "10.108.38.20", "netmask": "255.255.255.0", "static": "0", "mac_address": "64:76:bc:7d:55:e1"}, "eth3": {"ip_address": "10.108.38.19", "netmask": "255.255.255.0", "static": "0", "mac_address": "64:dd:d9:2d:cc:91"}, "eth2": {"ip_address": "10.108.38.18", "netmask": "255.255.255.0", "static": "0", "mac_address": "64:f7:18:b4:fd:f0"}, "eth1": {"ip_address": "10.108.38.22", "netmask": "255.255.255.0", "static": "0", "mac_address": "64:50:78:47:a1:ec"}, "eth0": {"ip_address": "10.108.38.21", "netmask": "255.255.255.0", "dns_name": "node-4.test.domain.local", "static": "0", "mac_address": "64:ff:00:b2:ab:69"}}, "interfaces_extra": {"eth4": {"onboot": "no", "peerdns": "no"}, "eth3": {"onboot": "no", "peerdns": "no"}, "eth2": {"onboot": "no", "peerdns": "no"}, "eth1": {"onboot": "no", "peerdns": "no"}, "eth0": {"onboot": "yes", "peerdns": "no"}}, "power_type": "ssh", "power_user": "root", "kernel_options": {"udevrules": "64:76:bc:7d:55:e1_eth4,64:dd:d9:2d:cc:91_eth3,64:f7:18:b4:fd:f0_eth2,64:50:78:47:a1:ec_eth1,64:ff:00:b2:ab:69_eth0", "netcfg/choose_interface": "eth0"}, "power_address": "10.108.38.227", "name_servers": "\\"10.108.38.2\\"", "ks_meta": {"mco_enable": 1, "mco_vhost": "mcollective", "mco_pskey": "unset", "ks_spaces": [{"name": "vda", "free_space": 50572, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 17472, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"size": 33228, "type": "pv", "lvm_meta_size": 64, "vg": "vm"}], "type": "disk", "id": "disk/by-path/pci-0000:00:08.0-virtio-pci-virtio5", "size": 51200}, {"name": "vdb", "free_space": 50572, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"size": 50636, "type": "pv", "lvm_meta_size": 64, "vg": "vm"}], "type": "disk", "id": "disk/by-path/pci-0000:00:09.0-virtio-pci-virtio6", "size": 51200}, {"name": "vdc", "free_space": 50572, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"size": 50636, "type": "pv", "lvm_meta_size": 64, "vg": "vm"}], "type": "disk", "id": "disk/by-path/pci-0000:00:0a.0-virtio-pci-virtio7", "size": 51200}, {"_allocate_size": "min", "label": "Base System", "min_size": 17408, "volumes": [{"mount": "/", "size": 15360, "type": "lv", "name": "root", "file_system": "ext4"}, {"mount": "swap", "size": 2048, "type": "lv", "name": "swap", "file_system": "swap"}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Virtual Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/nova", "size": 134308, "type": "lv", "name": "nova", "file_system": "xfs"}], "type": "vg", "id": "vm"}], "mco_user": "mcollective", "puppet_enable": 0, "install_log_2_syslog": 1, "mco_password": "marionette", "puppet_auto_setup": 1, "puppet_master": "nailgun.test.domain.local", "mco_auto_setup": 1, "auth_key": "\\"\\"", "mco_connector": "rabbitmq", "mco_host": "10.108.38.2"}, "name": "node-4", "hostname": "node-4.test.domain.local", "power_pass": "/root/.ssh/bootstrap.rsa", "netboot_enabled": "1"}, {"profile": "ubuntu_1204_x86_64", "name_servers_search": "\\"test.domain.local\\"", "uid": "5", "interfaces": {"eth4": {"ip_address": "10.108.38.23", "netmask": "255.255.255.0", "static": "0", "mac_address": "64:3e:83:5e:b2:23"}, "eth3": {"ip_address": "10.108.38.26", "netmask": "255.255.255.0", "static": "0", "mac_address": "64:6e:e9:47:fe:d4"}, "eth2": {"ip_address": "10.108.38.27", "netmask": "255.255.255.0", "static": "0", "mac_address": "64:74:aa:18:40:f2"}, "eth1": {"ip_address": "10.108.38.24", "netmask": "255.255.255.0", "static": "0", "mac_address": "64:bb:80:36:6a:38"}, "eth0": {"ip_address": "10.108.38.25", "netmask": "255.255.255.0", "dns_name": "node-5.test.domain.local", "static": "0", "mac_address": "64:a3:58:cf:9c:4a"}}, "interfaces_extra": {"eth4": {"onboot": "no", "peerdns": "no"}, "eth3": {"onboot": "no", "peerdns": "no"}, "eth2": {"onboot": "no", "peerdns": "no"}, "eth1": {"onboot": "no", "peerdns": "no"}, "eth0": {"onboot": "yes", "peerdns": "no"}}, "power_type": "ssh", "power_user": "root", "kernel_options": {"udevrules": "64:3e:83:5e:b2:23_eth4,64:6e:e9:47:fe:d4_eth3,64:74:aa:18:40:f2_eth2,64:bb:80:36:6a:38_eth1,64:a3:58:cf:9c:4a_eth0", "netcfg/choose_interface": "eth0"}, "power_address": "10.108.38.138", "name_servers": "\\"10.108.38.2\\"", "ks_meta": {"mco_enable": 1, "mco_vhost": "mcollective", "mco_pskey": "unset", "ks_spaces": [{"name": "vda", "free_space": 50572, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 17472, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"size": 33228, "type": "pv", "lvm_meta_size": 64, "vg": "vm"}], "type": "disk", "id": "disk/by-path/pci-0000:00:08.0-virtio-pci-virtio5", "size": 51200}, {"name": "vdb", "free_space": 50572, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"size": 50636, "type": "pv", "lvm_meta_size": 64, "vg": "vm"}], "type": "disk", "id": "disk/by-path/pci-0000:00:09.0-virtio-pci-virtio6", "size": 51200}, {"name": "vdc", "free_space": 50572, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"size": 50636, "type": "pv", "lvm_meta_size": 64, "vg": "vm"}], "type": "disk", "id": "disk/by-path/pci-0000:00:0a.0-virtio-pci-virtio7", "size": 51200}, {"_allocate_size": "min", "label": "Base System", "min_size": 17408, "volumes": [{"mount": "/", "size": 15360, "type": "lv", "name": "root", "file_system": "ext4"}, {"mount": "swap", "size": 2048, "type": "lv", "name": "swap", "file_system": "swap"}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Virtual Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/nova", "size": 134308, "type": "lv", "name": "nova", "file_system": "xfs"}], "type": "vg", "id": "vm"}], "mco_user": "mcollective", "puppet_enable": 0, "install_log_2_syslog": 1, "mco_password": "marionette", "puppet_auto_setup": 1, "puppet_master": "nailgun.test.domain.local", "mco_auto_setup": 1, "auth_key": "\\"\\"", "mco_connector": "rabbitmq", "mco_host": "10.108.38.2"}, "name": "node-5", "hostname": "node-5.test.domain.local", "power_pass": "/root/.ssh/bootstrap.rsa", "netboot_enabled": "1"}]}}}	{}	2	1
6	1	cf87677e-85e6-4413-bba8-41f5a1fe28e1	deployment	Deployment has failed. Task aborted	error	100	{"respond_to": "deploy_resp", "method": "deploy", "args": {"task_uuid": "cf87677e-85e6-4413-bba8-41f5a1fe28e1", "deployment_info": [{"management_interface": "eth2", "use_cow_images": true, "uid": "1", "floating_interface": "eth1", "storage_interface": "eth4", "syslog": {"syslog_port": 5514, "syslog_transport": "udp", "syslog_server": "10.108.38.1"}, "libvirt_type": "qemu", "cobbler": {"profile": "ubuntu_1204_x86_64"}, "mysql": {"root_password": "JRQbhRQW"}, "glance": {"image_cache_max_size": "5368709120", "user_password": "kxzcnhGX", "db_password": "8H8ADMNW"}, "public_interface": "eth1", "network_data": {"lo": {"interface": "lo", "ipaddr": ["127.0.0.1/8"]}, "eth3.103": {"interface": "eth3.103", "ipaddr": "none"}, "eth4": {"interface": "eth4", "ipaddr": ["10.108.48.2/24"]}, "eth3": {"interface": "eth3", "ipaddr": "none"}, "eth2": {"interface": "eth2", "ipaddr": ["10.108.43.2/24"]}, "eth1": {"interface": "eth1", "ipaddr": ["10.108.40.2/24"], "gateway": "10.108.40.1"}, "eth0": {"interface": "eth0", "ipaddr": ["10.108.38.3/24"]}}, "quantum_settings": {"metadata": {"metadata_proxy_shared_secret": "MX6yGma1"}, "keystone": {"admin_password": "FX8aJbTc"}, "database": {"passwd": "CFxFLF23"}}, "swift": {"user_password": "Z8EtOxke"}, "storage": {"volumes_ceph": false, "objects_ceph": false, "ephemeral_ceph": false, "volumes_lvm": false, "osd_pool_size": "2", "images_ceph": false}, "fixed_network_range": "10.0.0.0/16", "nova": {"db_password": "vMjwUyDX", "user_password": "FvgtpxQQ", "state_path": "/var/lib/nova"}, "master_ip": "10.108.38.2", "priority": 200, "murano": {"db_password": "dPKHltQ0", "enabled": true}, "role": "cinder", "vlan_splinters": false, "online": true, "keystone": {"db_password": "t1gucrfZ", "admin_token": "PYHoZOuA"}, "nodes": [{"storage_netmask": "255.255.255.0", "uid": "1", "public_address": "10.108.40.2", "internal_netmask": "255.255.255.0", "fqdn": "node-1.test.domain.local", "role": "cinder", "public_netmask": "255.255.255.0", "internal_address": "10.108.43.2", "storage_address": "10.108.48.2", "name": "node-1"}, {"storage_netmask": "255.255.255.0", "uid": "2", "public_address": "10.108.40.3", "internal_netmask": "255.255.255.0", "fqdn": "node-2.test.domain.local", "role": "controller", "public_netmask": "255.255.255.0", "internal_address": "10.108.43.3", "storage_address": "10.108.48.3", "name": "node-2"}, {"storage_netmask": "255.255.255.0", "uid": "3", "public_address": "10.108.40.4", "internal_netmask": "255.255.255.0", "fqdn": "node-3.test.domain.local", "role": "compute", "public_netmask": "255.255.255.0", "internal_address": "10.108.43.4", "storage_address": "10.108.48.4", "name": "node-3"}, {"storage_netmask": "255.255.255.0", "uid": "4", "public_address": "10.108.40.5", "internal_netmask": "255.255.255.0", "fqdn": "node-4.test.domain.local", "role": "compute", "public_netmask": "255.255.255.0", "internal_address": "10.108.43.5", "storage_address": "10.108.48.5", "name": "node-4"}, {"storage_netmask": "255.255.255.0", "uid": "5", "public_address": "10.108.40.6", "internal_netmask": "255.255.255.0", "fqdn": "node-5.test.domain.local", "role": "compute", "public_netmask": "255.255.255.0", "internal_address": "10.108.43.6", "storage_address": "10.108.48.6", "name": "node-5"}], "ceilometer": {"db_password": "JduUROgS", "user_password": "msnG0blO", "metering_secret": "OPkycZGR", "enabled": false}, "status": "discover", "deployment_mode": "multinode", "novanetwork_parameters": {"network_manager": "FlatDHCPManager", "network_size": 256}, "heat": {"db_password": "R65QN9Im", "enabled": true, "rabbit_user": "Vm9JWi9j", "rabbit_password": "IXlCP4VB"}, "auto_assign_floating_ip": false, "start_guests_on_host_boot": true, "rabbit": {"password": "T2lS2Du9"}, "use_cinder": true, "management_network_range": "10.108.43.0/24", "base_syslog": {"syslog_port": "514", "syslog_server": "10.108.38.2"}, "storage_network_range": "10.108.48.0/24", "floating_network_range": ["10.108.40.128-10.108.40.254"], "auth_key": "", "access": {"password": "admin", "user": "admin", "tenant": "admin", "email": "admin@example.org"}, "fqdn": "node-1.test.domain.local", "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "fixed_interface": "eth3.103", "admin_interface": "eth0", "dns_nameservers": ["8.8.8.8", "8.8.4.4"], "debug": true, "cinder": {"db_password": "9IkQKXEr", "user_password": "9IbTvghV"}, "deployment_id": 1, "savanna": {"db_password": "QAtfLCHZ", "enabled": false}}, {"management_interface": "eth2", "use_cow_images": true, "uid": "2", "floating_interface": "eth1", "storage_interface": "eth4", "syslog": {"syslog_port": 5514, "syslog_transport": "udp", "syslog_server": "10.108.38.1"}, "libvirt_type": "qemu", "cobbler": {"profile": "ubuntu_1204_x86_64"}, "mysql": {"root_password": "JRQbhRQW"}, "glance": {"image_cache_max_size": "14083214540", "user_password": "kxzcnhGX", "db_password": "8H8ADMNW"}, "public_interface": "eth1", "network_data": {"lo": {"interface": "lo", "ipaddr": ["127.0.0.1/8"]}, "eth3.103": {"interface": "eth3.103", "ipaddr": "none"}, "eth4": {"interface": "eth4", "ipaddr": ["10.108.48.3/24"]}, "eth3": {"interface": "eth3", "ipaddr": "none"}, "eth2": {"interface": "eth2", "ipaddr": ["10.108.43.3/24"]}, "eth1": {"interface": "eth1", "ipaddr": ["10.108.40.3/24"], "gateway": "10.108.40.1"}, "eth0": {"interface": "eth0", "ipaddr": ["10.108.38.8/24"]}}, "quantum_settings": {"metadata": {"metadata_proxy_shared_secret": "MX6yGma1"}, "keystone": {"admin_password": "FX8aJbTc"}, "database": {"passwd": "CFxFLF23"}}, "swift": {"user_password": "Z8EtOxke"}, "storage": {"volumes_ceph": false, "objects_ceph": false, "ephemeral_ceph": false, "volumes_lvm": false, "osd_pool_size": "2", "images_ceph": false}, "fixed_network_range": "10.0.0.0/16", "nova": {"db_password": "vMjwUyDX", "user_password": "FvgtpxQQ", "state_path": "/var/lib/nova"}, "master_ip": "10.108.38.2", "priority": 100, "murano": {"db_password": "dPKHltQ0", "enabled": true}, "role": "controller", "vlan_splinters": false, "online": true, "keystone": {"db_password": "t1gucrfZ", "admin_token": "PYHoZOuA"}, "nodes": [{"storage_netmask": "255.255.255.0", "uid": "1", "public_address": "10.108.40.2", "internal_netmask": "255.255.255.0", "fqdn": "node-1.test.domain.local", "role": "cinder", "public_netmask": "255.255.255.0", "internal_address": "10.108.43.2", "storage_address": "10.108.48.2", "name": "node-1"}, {"storage_netmask": "255.255.255.0", "uid": "2", "public_address": "10.108.40.3", "internal_netmask": "255.255.255.0", "fqdn": "node-2.test.domain.local", "role": "controller", "public_netmask": "255.255.255.0", "internal_address": "10.108.43.3", "storage_address": "10.108.48.3", "name": "node-2"}, {"storage_netmask": "255.255.255.0", "uid": "3", "public_address": "10.108.40.4", "internal_netmask": "255.255.255.0", "fqdn": "node-3.test.domain.local", "role": "compute", "public_netmask": "255.255.255.0", "internal_address": "10.108.43.4", "storage_address": "10.108.48.4", "name": "node-3"}, {"storage_netmask": "255.255.255.0", "uid": "4", "public_address": "10.108.40.5", "internal_netmask": "255.255.255.0", "fqdn": "node-4.test.domain.local", "role": "compute", "public_netmask": "255.255.255.0", "internal_address": "10.108.43.5", "storage_address": "10.108.48.5", "name": "node-4"}, {"storage_netmask": "255.255.255.0", "uid": "5", "public_address": "10.108.40.6", "internal_netmask": "255.255.255.0", "fqdn": "node-5.test.domain.local", "role": "compute", "public_netmask": "255.255.255.0", "internal_address": "10.108.43.6", "storage_address": "10.108.48.6", "name": "node-5"}], "ceilometer": {"db_password": "JduUROgS", "user_password": "msnG0blO", "metering_secret": "OPkycZGR", "enabled": false}, "status": "discover", "deployment_mode": "multinode", "novanetwork_parameters": {"network_manager": "FlatDHCPManager", "network_size": 256}, "heat": {"db_password": "R65QN9Im", "enabled": true, "rabbit_user": "Vm9JWi9j", "rabbit_password": "IXlCP4VB"}, "auto_assign_floating_ip": false, "start_guests_on_host_boot": true, "rabbit": {"password": "T2lS2Du9"}, "use_cinder": true, "management_network_range": "10.108.43.0/24", "base_syslog": {"syslog_port": "514", "syslog_server": "10.108.38.2"}, "storage_network_range": "10.108.48.0/24", "floating_network_range": ["10.108.40.128-10.108.40.254"], "auth_key": "", "access": {"password": "admin", "user": "admin", "tenant": "admin", "email": "admin@example.org"}, "fqdn": "node-2.test.domain.local", "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "fixed_interface": "eth3.103", "admin_interface": "eth0", "dns_nameservers": ["8.8.8.8", "8.8.4.4"], "debug": true, "cinder": {"db_password": "9IkQKXEr", "user_password": "9IbTvghV"}, "deployment_id": 1, "savanna": {"db_password": "QAtfLCHZ", "enabled": false}}, {"management_interface": "eth2", "use_cow_images": true, "uid": "3", "floating_interface": "eth1", "storage_interface": "eth4", "syslog": {"syslog_port": 5514, "syslog_transport": "udp", "syslog_server": "10.108.38.1"}, "libvirt_type": "qemu", "cobbler": {"profile": "ubuntu_1204_x86_64"}, "mysql": {"root_password": "JRQbhRQW"}, "glance": {"image_cache_max_size": "5368709120", "user_password": "kxzcnhGX", "db_password": "8H8ADMNW"}, "public_interface": "eth1", "network_data": {"lo": {"interface": "lo", "ipaddr": ["127.0.0.1/8"]}, "eth3.103": {"interface": "eth3.103", "ipaddr": "none"}, "eth4": {"interface": "eth4", "ipaddr": ["10.108.48.4/24"]}, "eth3": {"interface": "eth3", "ipaddr": "none"}, "eth2": {"interface": "eth2", "ipaddr": ["10.108.43.4/24"]}, "eth1": {"interface": "eth1", "ipaddr": ["10.108.40.4/24"], "gateway": "10.108.40.1"}, "eth0": {"interface": "eth0", "ipaddr": ["10.108.38.14/24"]}}, "quantum_settings": {"metadata": {"metadata_proxy_shared_secret": "MX6yGma1"}, "keystone": {"admin_password": "FX8aJbTc"}, "database": {"passwd": "CFxFLF23"}}, "swift": {"user_password": "Z8EtOxke"}, "storage": {"volumes_ceph": false, "objects_ceph": false, "ephemeral_ceph": false, "volumes_lvm": false, "osd_pool_size": "2", "images_ceph": false}, "fixed_network_range": "10.0.0.0/16", "nova": {"db_password": "vMjwUyDX", "user_password": "FvgtpxQQ", "state_path": "/var/lib/nova"}, "master_ip": "10.108.38.2", "priority": 200, "murano": {"db_password": "dPKHltQ0", "enabled": true}, "role": "compute", "vlan_splinters": false, "online": true, "keystone": {"db_password": "t1gucrfZ", "admin_token": "PYHoZOuA"}, "nodes": [{"storage_netmask": "255.255.255.0", "uid": "1", "public_address": "10.108.40.2", "internal_netmask": "255.255.255.0", "fqdn": "node-1.test.domain.local", "role": "cinder", "public_netmask": "255.255.255.0", "internal_address": "10.108.43.2", "storage_address": "10.108.48.2", "name": "node-1"}, {"storage_netmask": "255.255.255.0", "uid": "2", "public_address": "10.108.40.3", "internal_netmask": "255.255.255.0", "fqdn": "node-2.test.domain.local", "role": "controller", "public_netmask": "255.255.255.0", "internal_address": "10.108.43.3", "storage_address": "10.108.48.3", "name": "node-2"}, {"storage_netmask": "255.255.255.0", "uid": "3", "public_address": "10.108.40.4", "internal_netmask": "255.255.255.0", "fqdn": "node-3.test.domain.local", "role": "compute", "public_netmask": "255.255.255.0", "internal_address": "10.108.43.4", "storage_address": "10.108.48.4", "name": "node-3"}, {"storage_netmask": "255.255.255.0", "uid": "4", "public_address": "10.108.40.5", "internal_netmask": "255.255.255.0", "fqdn": "node-4.test.domain.local", "role": "compute", "public_netmask": "255.255.255.0", "internal_address": "10.108.43.5", "storage_address": "10.108.48.5", "name": "node-4"}, {"storage_netmask": "255.255.255.0", "uid": "5", "public_address": "10.108.40.6", "internal_netmask": "255.255.255.0", "fqdn": "node-5.test.domain.local", "role": "compute", "public_netmask": "255.255.255.0", "internal_address": "10.108.43.6", "storage_address": "10.108.48.6", "name": "node-5"}], "ceilometer": {"db_password": "JduUROgS", "user_password": "msnG0blO", "metering_secret": "OPkycZGR", "enabled": false}, "status": "discover", "deployment_mode": "multinode", "novanetwork_parameters": {"network_manager": "FlatDHCPManager", "network_size": 256}, "heat": {"db_password": "R65QN9Im", "enabled": true, "rabbit_user": "Vm9JWi9j", "rabbit_password": "IXlCP4VB"}, "auto_assign_floating_ip": false, "start_guests_on_host_boot": true, "rabbit": {"password": "T2lS2Du9"}, "use_cinder": true, "management_network_range": "10.108.43.0/24", "base_syslog": {"syslog_port": "514", "syslog_server": "10.108.38.2"}, "storage_network_range": "10.108.48.0/24", "floating_network_range": ["10.108.40.128-10.108.40.254"], "auth_key": "", "access": {"password": "admin", "user": "admin", "tenant": "admin", "email": "admin@example.org"}, "fqdn": "node-3.test.domain.local", "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "fixed_interface": "eth3.103", "admin_interface": "eth0", "dns_nameservers": ["8.8.8.8", "8.8.4.4"], "debug": true, "cinder": {"db_password": "9IkQKXEr", "user_password": "9IbTvghV"}, "deployment_id": 1, "savanna": {"db_password": "QAtfLCHZ", "enabled": false}}, {"management_interface": "eth2", "use_cow_images": true, "uid": "4", "floating_interface": "eth1", "storage_interface": "eth4", "syslog": {"syslog_port": 5514, "syslog_transport": "udp", "syslog_server": "10.108.38.1"}, "libvirt_type": "qemu", "cobbler": {"profile": "ubuntu_1204_x86_64"}, "mysql": {"root_password": "JRQbhRQW"}, "glance": {"image_cache_max_size": "5368709120", "user_password": "kxzcnhGX", "db_password": "8H8ADMNW"}, "public_interface": "eth1", "network_data": {"lo": {"interface": "lo", "ipaddr": ["127.0.0.1/8"]}, "eth3.103": {"interface": "eth3.103", "ipaddr": "none"}, "eth4": {"interface": "eth4", "ipaddr": ["10.108.48.5/24"]}, "eth3": {"interface": "eth3", "ipaddr": "none"}, "eth2": {"interface": "eth2", "ipaddr": ["10.108.43.5/24"]}, "eth1": {"interface": "eth1", "ipaddr": ["10.108.40.5/24"], "gateway": "10.108.40.1"}, "eth0": {"interface": "eth0", "ipaddr": ["10.108.38.21/24"]}}, "quantum_settings": {"metadata": {"metadata_proxy_shared_secret": "MX6yGma1"}, "keystone": {"admin_password": "FX8aJbTc"}, "database": {"passwd": "CFxFLF23"}}, "swift": {"user_password": "Z8EtOxke"}, "storage": {"volumes_ceph": false, "objects_ceph": false, "ephemeral_ceph": false, "volumes_lvm": false, "osd_pool_size": "2", "images_ceph": false}, "fixed_network_range": "10.0.0.0/16", "nova": {"db_password": "vMjwUyDX", "user_password": "FvgtpxQQ", "state_path": "/var/lib/nova"}, "master_ip": "10.108.38.2", "priority": 200, "murano": {"db_password": "dPKHltQ0", "enabled": true}, "role": "compute", "vlan_splinters": false, "online": true, "keystone": {"db_password": "t1gucrfZ", "admin_token": "PYHoZOuA"}, "nodes": [{"storage_netmask": "255.255.255.0", "uid": "1", "public_address": "10.108.40.2", "internal_netmask": "255.255.255.0", "fqdn": "node-1.test.domain.local", "role": "cinder", "public_netmask": "255.255.255.0", "internal_address": "10.108.43.2", "storage_address": "10.108.48.2", "name": "node-1"}, {"storage_netmask": "255.255.255.0", "uid": "2", "public_address": "10.108.40.3", "internal_netmask": "255.255.255.0", "fqdn": "node-2.test.domain.local", "role": "controller", "public_netmask": "255.255.255.0", "internal_address": "10.108.43.3", "storage_address": "10.108.48.3", "name": "node-2"}, {"storage_netmask": "255.255.255.0", "uid": "3", "public_address": "10.108.40.4", "internal_netmask": "255.255.255.0", "fqdn": "node-3.test.domain.local", "role": "compute", "public_netmask": "255.255.255.0", "internal_address": "10.108.43.4", "storage_address": "10.108.48.4", "name": "node-3"}, {"storage_netmask": "255.255.255.0", "uid": "4", "public_address": "10.108.40.5", "internal_netmask": "255.255.255.0", "fqdn": "node-4.test.domain.local", "role": "compute", "public_netmask": "255.255.255.0", "internal_address": "10.108.43.5", "storage_address": "10.108.48.5", "name": "node-4"}, {"storage_netmask": "255.255.255.0", "uid": "5", "public_address": "10.108.40.6", "internal_netmask": "255.255.255.0", "fqdn": "node-5.test.domain.local", "role": "compute", "public_netmask": "255.255.255.0", "internal_address": "10.108.43.6", "storage_address": "10.108.48.6", "name": "node-5"}], "ceilometer": {"db_password": "JduUROgS", "user_password": "msnG0blO", "metering_secret": "OPkycZGR", "enabled": false}, "status": "discover", "deployment_mode": "multinode", "novanetwork_parameters": {"network_manager": "FlatDHCPManager", "network_size": 256}, "heat": {"db_password": "R65QN9Im", "enabled": true, "rabbit_user": "Vm9JWi9j", "rabbit_password": "IXlCP4VB"}, "auto_assign_floating_ip": false, "start_guests_on_host_boot": true, "rabbit": {"password": "T2lS2Du9"}, "use_cinder": true, "management_network_range": "10.108.43.0/24", "base_syslog": {"syslog_port": "514", "syslog_server": "10.108.38.2"}, "storage_network_range": "10.108.48.0/24", "floating_network_range": ["10.108.40.128-10.108.40.254"], "auth_key": "", "access": {"password": "admin", "user": "admin", "tenant": "admin", "email": "admin@example.org"}, "fqdn": "node-4.test.domain.local", "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "fixed_interface": "eth3.103", "admin_interface": "eth0", "dns_nameservers": ["8.8.8.8", "8.8.4.4"], "debug": true, "cinder": {"db_password": "9IkQKXEr", "user_password": "9IbTvghV"}, "deployment_id": 1, "savanna": {"db_password": "QAtfLCHZ", "enabled": false}}, {"management_interface": "eth2", "use_cow_images": true, "uid": "5", "floating_interface": "eth1", "storage_interface": "eth4", "syslog": {"syslog_port": 5514, "syslog_transport": "udp", "syslog_server": "10.108.38.1"}, "libvirt_type": "qemu", "cobbler": {"profile": "ubuntu_1204_x86_64"}, "mysql": {"root_password": "JRQbhRQW"}, "glance": {"image_cache_max_size": "5368709120", "user_password": "kxzcnhGX", "db_password": "8H8ADMNW"}, "public_interface": "eth1", "network_data": {"lo": {"interface": "lo", "ipaddr": ["127.0.0.1/8"]}, "eth3.103": {"interface": "eth3.103", "ipaddr": "none"}, "eth4": {"interface": "eth4", "ipaddr": ["10.108.48.6/24"]}, "eth3": {"interface": "eth3", "ipaddr": "none"}, "eth2": {"interface": "eth2", "ipaddr": ["10.108.43.6/24"]}, "eth1": {"interface": "eth1", "ipaddr": ["10.108.40.6/24"], "gateway": "10.108.40.1"}, "eth0": {"interface": "eth0", "ipaddr": ["10.108.38.25/24"]}}, "quantum_settings": {"metadata": {"metadata_proxy_shared_secret": "MX6yGma1"}, "keystone": {"admin_password": "FX8aJbTc"}, "database": {"passwd": "CFxFLF23"}}, "swift": {"user_password": "Z8EtOxke"}, "storage": {"volumes_ceph": false, "objects_ceph": false, "ephemeral_ceph": false, "volumes_lvm": false, "osd_pool_size": "2", "images_ceph": false}, "fixed_network_range": "10.0.0.0/16", "nova": {"db_password": "vMjwUyDX", "user_password": "FvgtpxQQ", "state_path": "/var/lib/nova"}, "master_ip": "10.108.38.2", "priority": 200, "murano": {"db_password": "dPKHltQ0", "enabled": true}, "role": "compute", "vlan_splinters": false, "online": true, "keystone": {"db_password": "t1gucrfZ", "admin_token": "PYHoZOuA"}, "nodes": [{"storage_netmask": "255.255.255.0", "uid": "1", "public_address": "10.108.40.2", "internal_netmask": "255.255.255.0", "fqdn": "node-1.test.domain.local", "role": "cinder", "public_netmask": "255.255.255.0", "internal_address": "10.108.43.2", "storage_address": "10.108.48.2", "name": "node-1"}, {"storage_netmask": "255.255.255.0", "uid": "2", "public_address": "10.108.40.3", "internal_netmask": "255.255.255.0", "fqdn": "node-2.test.domain.local", "role": "controller", "public_netmask": "255.255.255.0", "internal_address": "10.108.43.3", "storage_address": "10.108.48.3", "name": "node-2"}, {"storage_netmask": "255.255.255.0", "uid": "3", "public_address": "10.108.40.4", "internal_netmask": "255.255.255.0", "fqdn": "node-3.test.domain.local", "role": "compute", "public_netmask": "255.255.255.0", "internal_address": "10.108.43.4", "storage_address": "10.108.48.4", "name": "node-3"}, {"storage_netmask": "255.255.255.0", "uid": "4", "public_address": "10.108.40.5", "internal_netmask": "255.255.255.0", "fqdn": "node-4.test.domain.local", "role": "compute", "public_netmask": "255.255.255.0", "internal_address": "10.108.43.5", "storage_address": "10.108.48.5", "name": "node-4"}, {"storage_netmask": "255.255.255.0", "uid": "5", "public_address": "10.108.40.6", "internal_netmask": "255.255.255.0", "fqdn": "node-5.test.domain.local", "role": "compute", "public_netmask": "255.255.255.0", "internal_address": "10.108.43.6", "storage_address": "10.108.48.6", "name": "node-5"}], "ceilometer": {"db_password": "JduUROgS", "user_password": "msnG0blO", "metering_secret": "OPkycZGR", "enabled": false}, "status": "discover", "deployment_mode": "multinode", "novanetwork_parameters": {"network_manager": "FlatDHCPManager", "network_size": 256}, "heat": {"db_password": "R65QN9Im", "enabled": true, "rabbit_user": "Vm9JWi9j", "rabbit_password": "IXlCP4VB"}, "auto_assign_floating_ip": false, "start_guests_on_host_boot": true, "rabbit": {"password": "T2lS2Du9"}, "use_cinder": true, "management_network_range": "10.108.43.0/24", "base_syslog": {"syslog_port": "514", "syslog_server": "10.108.38.2"}, "storage_network_range": "10.108.48.0/24", "floating_network_range": ["10.108.40.128-10.108.40.254"], "auth_key": "", "access": {"password": "admin", "user": "admin", "tenant": "admin", "email": "admin@example.org"}, "fqdn": "node-5.test.domain.local", "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "fixed_interface": "eth3.103", "admin_interface": "eth0", "dns_nameservers": ["8.8.8.8", "8.8.4.4"], "debug": true, "cinder": {"db_password": "9IkQKXEr", "user_password": "9IbTvghV"}, "deployment_id": 1, "savanna": {"db_password": "QAtfLCHZ", "enabled": false}}]}}	{}	2	1
2	1	478c3f71-1fb7-4dcc-9574-faa51f4796d7	deploy	Deployment has failed. Task aborted\nNodes failed to reboot: ["node-1", "node-2", "node-3"]	error	100	{}	{}	\N	1
7	\N	d208f1f8-37f4-4297-8040-97614df82d46	dump	\N	running	0	{"respond_to": "dump_environment_resp", "method": "dump_environment", "args": {"task_uuid": "d208f1f8-37f4-4297-8040-97614df82d46", "lastdump": "/var/www/nailgun/dump/last"}}	{}	\N	1
\.


--
-- Name: allowed_networks_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY allowed_networks
    ADD CONSTRAINT allowed_networks_pkey PRIMARY KEY (id);


--
-- Name: attributes_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY attributes
    ADD CONSTRAINT attributes_pkey PRIMARY KEY (id);


--
-- Name: capacity_log_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY capacity_log
    ADD CONSTRAINT capacity_log_pkey PRIMARY KEY (id);


--
-- Name: cluster_changes_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY cluster_changes
    ADD CONSTRAINT cluster_changes_pkey PRIMARY KEY (id);


--
-- Name: clusters_name_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY clusters
    ADD CONSTRAINT clusters_name_key UNIQUE (name);


--
-- Name: clusters_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY clusters
    ADD CONSTRAINT clusters_pkey PRIMARY KEY (id);


--
-- Name: global_parameters_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY global_parameters
    ADD CONSTRAINT global_parameters_pkey PRIMARY KEY (id);


--
-- Name: ip_addr_ranges_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY ip_addr_ranges
    ADD CONSTRAINT ip_addr_ranges_pkey PRIMARY KEY (id);


--
-- Name: ip_addrs_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY ip_addrs
    ADD CONSTRAINT ip_addrs_pkey PRIMARY KEY (id);


--
-- Name: net_assignments_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY net_assignments
    ADD CONSTRAINT net_assignments_pkey PRIMARY KEY (id);


--
-- Name: network_groups_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY network_groups
    ADD CONSTRAINT network_groups_pkey PRIMARY KEY (id);


--
-- Name: neutron_configs_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY neutron_configs
    ADD CONSTRAINT neutron_configs_pkey PRIMARY KEY (id);


--
-- Name: node_attributes_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY node_attributes
    ADD CONSTRAINT node_attributes_pkey PRIMARY KEY (id);


--
-- Name: node_nic_interfaces_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY node_nic_interfaces
    ADD CONSTRAINT node_nic_interfaces_pkey PRIMARY KEY (id);


--
-- Name: node_roles_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY node_roles
    ADD CONSTRAINT node_roles_pkey PRIMARY KEY (id);


--
-- Name: nodes_mac_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY nodes
    ADD CONSTRAINT nodes_mac_key UNIQUE (mac);


--
-- Name: nodes_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY nodes
    ADD CONSTRAINT nodes_pkey PRIMARY KEY (id);


--
-- Name: notifications_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY notifications
    ADD CONSTRAINT notifications_pkey PRIMARY KEY (id);


--
-- Name: pending_node_roles_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY pending_node_roles
    ADD CONSTRAINT pending_node_roles_pkey PRIMARY KEY (id);


--
-- Name: plugins_name_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY plugins
    ADD CONSTRAINT plugins_name_key UNIQUE (name);


--
-- Name: plugins_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY plugins
    ADD CONSTRAINT plugins_pkey PRIMARY KEY (id);


--
-- Name: red_hat_accounts_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY red_hat_accounts
    ADD CONSTRAINT red_hat_accounts_pkey PRIMARY KEY (id);


--
-- Name: releases_name_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY releases
    ADD CONSTRAINT releases_name_key UNIQUE (name, version);


--
-- Name: releases_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY releases
    ADD CONSTRAINT releases_pkey PRIMARY KEY (id);


--
-- Name: roles_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY roles
    ADD CONSTRAINT roles_pkey PRIMARY KEY (id);


--
-- Name: tasks_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY tasks
    ADD CONSTRAINT tasks_pkey PRIMARY KEY (id);


--
-- Name: allowed_networks_interface_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY allowed_networks
    ADD CONSTRAINT allowed_networks_interface_id_fkey FOREIGN KEY (interface_id) REFERENCES node_nic_interfaces(id) ON DELETE CASCADE;


--
-- Name: allowed_networks_network_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY allowed_networks
    ADD CONSTRAINT allowed_networks_network_id_fkey FOREIGN KEY (network_id) REFERENCES network_groups(id) ON DELETE CASCADE;


--
-- Name: attributes_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY attributes
    ADD CONSTRAINT attributes_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: cluster_changes_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_changes
    ADD CONSTRAINT cluster_changes_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: cluster_changes_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_changes
    ADD CONSTRAINT cluster_changes_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id) ON DELETE CASCADE;


--
-- Name: clusters_release_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY clusters
    ADD CONSTRAINT clusters_release_id_fkey FOREIGN KEY (release_id) REFERENCES releases(id);


--
-- Name: ip_addr_ranges_network_group_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addr_ranges
    ADD CONSTRAINT ip_addr_ranges_network_group_id_fkey FOREIGN KEY (network_group_id) REFERENCES network_groups(id);


--
-- Name: ip_addrs_network_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addrs
    ADD CONSTRAINT ip_addrs_network_fkey FOREIGN KEY (network) REFERENCES network_groups(id) ON DELETE CASCADE;


--
-- Name: ip_addrs_node_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addrs
    ADD CONSTRAINT ip_addrs_node_fkey FOREIGN KEY (node) REFERENCES nodes(id) ON DELETE CASCADE;


--
-- Name: net_assignments_interface_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_assignments
    ADD CONSTRAINT net_assignments_interface_id_fkey FOREIGN KEY (interface_id) REFERENCES node_nic_interfaces(id) ON DELETE CASCADE;


--
-- Name: net_assignments_network_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_assignments
    ADD CONSTRAINT net_assignments_network_id_fkey FOREIGN KEY (network_id) REFERENCES network_groups(id) ON DELETE CASCADE;


--
-- Name: network_groups_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY network_groups
    ADD CONSTRAINT network_groups_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: network_groups_release_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY network_groups
    ADD CONSTRAINT network_groups_release_fkey FOREIGN KEY (release) REFERENCES releases(id);


--
-- Name: neutron_configs_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY neutron_configs
    ADD CONSTRAINT neutron_configs_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id) ON DELETE CASCADE;


--
-- Name: node_attributes_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_attributes
    ADD CONSTRAINT node_attributes_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id);


--
-- Name: node_nic_interfaces_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_nic_interfaces
    ADD CONSTRAINT node_nic_interfaces_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id) ON DELETE CASCADE;


--
-- Name: node_roles_node_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_roles
    ADD CONSTRAINT node_roles_node_fkey FOREIGN KEY (node) REFERENCES nodes(id);


--
-- Name: node_roles_role_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_roles
    ADD CONSTRAINT node_roles_role_fkey FOREIGN KEY (role) REFERENCES roles(id) ON DELETE CASCADE;


--
-- Name: nodes_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY nodes
    ADD CONSTRAINT nodes_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: notifications_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY notifications
    ADD CONSTRAINT notifications_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id) ON DELETE SET NULL;


--
-- Name: notifications_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY notifications
    ADD CONSTRAINT notifications_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id) ON DELETE SET NULL;


--
-- Name: notifications_task_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY notifications
    ADD CONSTRAINT notifications_task_id_fkey FOREIGN KEY (task_id) REFERENCES tasks(id) ON DELETE SET NULL;


--
-- Name: pending_node_roles_node_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY pending_node_roles
    ADD CONSTRAINT pending_node_roles_node_fkey FOREIGN KEY (node) REFERENCES nodes(id);


--
-- Name: pending_node_roles_role_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY pending_node_roles
    ADD CONSTRAINT pending_node_roles_role_fkey FOREIGN KEY (role) REFERENCES roles(id) ON DELETE CASCADE;


--
-- Name: roles_release_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY roles
    ADD CONSTRAINT roles_release_id_fkey FOREIGN KEY (release_id) REFERENCES releases(id) ON DELETE CASCADE;


--
-- Name: tasks_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY tasks
    ADD CONSTRAINT tasks_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: tasks_parent_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY tasks
    ADD CONSTRAINT tasks_parent_id_fkey FOREIGN KEY (parent_id) REFERENCES tasks(id);


--
-- Name: public; Type: ACL; Schema: -; Owner: postgres
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


--
-- PostgreSQL database dump complete
--

